#mod gabi para graficar AMSUA CH2
#!/usr/bin/env python
# -*- coding: utf-8 -*-
import string
import numpy as np
import matplotlib.pyplot as plt
import ffgrid2
from pylab import *
from mpl_toolkits.basemap import Basemap
from mpl_toolkits.basemap import shiftgrid, cm
#import netCDF4

#x=monthly_lon
#y=monthly_lat
#z=monthly_outz

zz1=zzpgrid
zz2=sigma_grid
zz3=nngrid

t1='amsua_ch2_tb.png'
tt1='amsua_ch2 tb'
t2='amsua_ch2_ecart_type.png'
tt2='amsua_ch2 ecart type'
t3='amsua_ch2_nom_donnes_tb.png'
tt3='amsua ch2 nom donnes tb'

#t1='amsua_ch2_pos2_tb.png'
#tt1='amsua_ch2 pos2 tb'
#t2='amsua_ch2_pos2_ecart_type.png'
#tt2='amsua_ch2 pos2 ecart type'
#t3='amsua_ch2_pos2_nom_donnes_tb.png'
#tt3='amsua ch2 pos2 nom donnes tb'


# on recupere les coordonnes xy de la projection orth standard
m1 = Basemap(projection='ortho', lat_0 = -90, lon_0 = 0,
resolution = 'l')

xii, yii = m1(*np.meshgrid(xvec,yvec))
width = m1.urcrnrx - m1.llcrnrx
height = m1.urcrnry - m1.llcrnry

# en jouant sur la valeurt du coef, on peut zoomer sur l'Antarctique

coef = 0.6
width = width*coef
height = height*coef

# on fait une nouvelle projection en zoomant sur l'antarctique

map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\

llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
cs=map.pcolormesh(xii,yii,zz1,cmap=cm.s3pcpn_l_r)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt1)

# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))
plt.show()

plt.savefig(t1)
close()
