#!/usr/bin/env python
# -*- coding: utf-8 -*-
import string
import numpy as np
import matplotlib.pyplot as plt
import ffgrid2
from pylab import *
from mpl_toolkits.basemap import Basemap
from mpl_toolkits.basemap import shiftgrid, cm
#import netCDF4

x=monthly_lon
y=monthly_lat
z=monthly_outz

def draw(z, x, y, outfile, txt, cax1,cax2,cax3, my_cmap):

        m = Basemap(llcrnrlon=-180,urcrnrlon=180,llcrnrlat=-90,urcrnrlat=90,projection='cyl',resolution='c',fix_aspect=True)
        #m = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='c')
        #m = Basemap(resolution='c',projection='sinu',lon_0=60)
        #m = Basemap(llcrnrlon=-180,urcrnrlon=180,llcrnrlat=-90,urcrnrlat=90,projection='cyl',resolution='i',fix_aspect=True)
        #m = Basemap(llcrnrlon=-180,urcrnrlon=180,llcrnrlat=-60,urcrnrlat=60,projection='cyl',resolution='c',fix_aspect=True)

        #ax = plt.gca()
        xii, yii = m(*np.meshgrid(x,y))
        #ax = plt.gca()
        #clevs=arange(0,0.8,0.005)
        clevs=arange(cax1,cax2,cax3)
        #boxColors= ['darkkhaki','royalblue']

        m.drawcoastlines(linewidth=1)
        #m.drawlsmask(land_color='white',ocean_color='#F4EAF1', lakes=False)
        cs=m.contourf(xii,yii,z,20) # emissivity
        cbar =colorbar(cs)
        cbar.set_label(txt)
        #cbar.set_clim(0.65,1)
        #m.drawmapboundary(fill_color='aqua')
        #m.drawparallels(np.arange(-90.,90.,10.), labels=[1,0,0,0])
        #m.drawmeridians(np.arange(-180.,180.,30.), labels=[0,0,0,1])
        m.drawparallels(np.arange(-90.,90.,45.), color='#909090', linewidth=1.0, zorder=None, dashes=[1, 1])
        #m.drawmeridians(np.arange(-180.,180.,50.))
        # stations: Thulé, Resolute, Longyearbyen, lqaluit, murmonsk, arkangelek

        plt.savefig(outfile)
        #close()
