#!/usr/bin/env python
# -*- coding: utf-8 -*-
import string
import numpy as np
import matplotlib.pyplot as plt
from pylab import *
from mpl_toolkits.basemap import Basemap
from mpl_toolkits.basemap import shiftgrid, cm
import netCDF4


f1='/net/dedale/usr/dedale/surf/lelod/ANTARC/AMSUA_CH'
f2='_ANTARC_JUNE2010.DAT'
amsuach=np.array([1,2,3,4,5,6,7,15])
am_numlines=np.zeros([8],float)

for i in range(0,8):
    f=f1+str(amsuach[i])+f2
    fichier=open(f,'r')
    am_numlines[i] = 0
    for line in fichier: am_numlines[i] += 1

    fichier.close

am_numlines=np.array([ 9627069.,  9627471.,  9627063.,  6434316.,  9627391.,  9627424.,8019816.,  9627424.])

amch1=np.zeros([20,am_numlines[0]],float)
amch2=np.zeros([20,am_numlines[1]],float)
amch3=np.zeros([20,am_numlines[2]],float)
amch4=np.zeros([20,am_numlines[3]],float)
amch5=np.zeros([20,am_numlines[4]],float)
amch6=np.zeros([20,am_numlines[5]],float)
amch7=np.zeros([20,am_numlines[6]],float)
amch15=np.zeros([20,am_numlines[7]],float)


#ch1
i=0
f=f1+str(amsuach[i])+f2
fichier=open(f,'r')

for iligne in range(0,9627068):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch1[j,iligne] = float(liste[j])


fichier.close

#ch2
i=1
f=f1+str(amsuach[i])+f2
fichier=open(f,'r')

for iligne in range(0,am_numlines[i]-1):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch2[j,iligne] = float(liste[j])

fichier.close

#ch3
i=2
f=f1+str(amsuach[i])+f2
fichier=open(f,'r')

for iligne in range(0,am_numlines[i]-1):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch3[j,iligne] = float(liste[j])

fichier.close

#ch4
i=3
f=f1+str(amsuach[i])+f2
fichier=open(f,'r')

for iligne in range(0,am_numlines[i]-1):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch4[j,iligne] = float(liste[j])

fichier.close

#ch5
i=4
f=f1+str(amsuach[i])+f2
fichier=open(f,'r')

for iligne in range(0,am_numlines[i]-1):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch5[j,iligne] = float(liste[j])

fichier.close

#ch6
i=5
f=f1+str(amsuach[i])+f2
fichier=open(f,'r')

for iligne in range(0,am_numlines[i]-1):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch6[j,iligne] = float(liste[j])

fichier.close

#ch7
i=6
f=f1+str(amsuach[i])+f2
fichier=open(f,'r')

for iligne in range(0,am_numlines[i]-1):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch7[j,iligne] = float(liste[j])

fichier.close

#ch15
i=7
f=f1+str(amsuach[i])+f2
fichier=open(f,'r')

for iligne in range(0,am_numlines[i]-1):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch15[j,iligne] = float(liste[j])

fichier.close

####################
ẗb ch5

xx=amch2[0,:]
yy=amch2[1,:]
zz=amch2[15,:]
m=amch2[14,:]
pos=amch2[7,:]
z0=0
z1=300
y11 = -50

tbgrid_ta2, tbpgrid_ta2, tbngrid_ta2, tbnngrid_ta2, tbsigma_grid_ta2, xvec, yvec, tb_ta2, mm_tba2 = newgrid_zml.newgrid(xx, yy, zz, m, vnx1,z0, z1, y11)





#############################"
ẗrans ch5

xx=amch5[0,:]
yy=amch5[1,:]
zz=amch5[19,:]
m=amch5[14,:]
pos=amch5[7,:]
z0=0
z1=0.5
y11 = -50
nscan = 1
import newgridns_z
trgrida51, trpgrida51, ngrida51, nngrida51, sigma_gridtra51, xvec, yvec, tra51= newgridns_z.newgridns(xx, yy, zz, vnx1, nscan, pos, z0, z1)

nscan = 2
trgrida52, trpgrida52, ngrida52, nngrida52, sigma_gridtra52, xvec, yvec, tra52= newgridns_z.newgridns(xx, yy, zz, vnx1, nscan, pos, z0, z1)

nscan = 3
trgrida53, trpgrida53, ngrida53, nngrida53, sigma_gridtra53, xvec, yvec, tra53= newgridns_z.newgridns(xx, yy, zz, vnx1, nscan, pos, z0, z1)

m=amch5[14,:]
y11 = -50

import newgrid_zml
trgrid_ta5, trpgrid_ta5, trngrid_ta5, trnngrid_ta5, trsigma_grid_ta5, xvec, yvec, tr_ta5, mm_tra5 = newgrid_zml.newgrid(xx, yy, zz, m, vnx1,z0, z1, y11)


z=trpgrida51
outfile='transmission_amsua_ch5_angles_extérieurs.png'
txt='transmission amsua ch5 angles extérieurs'
cax1=0
cax2=0.5
cax3=0.01
my_cmap=cm.s3pcpn_l_r
coef=0.6

import drawmapf
drawmapf.drawmap(z, xvec, yvec, outfile, txt, cax1,cax2,cax3, my_cmap, coef)

z=trpgrida52
outfile='transmission_amsua_ch5_angles_intermédiaires.png'
txt='transmission amsua ch5 angles intermédiaires'
drawmapf.drawmap(z, xvec, yvec, outfile, txt, cax1,cax2,cax3, my_cmap, coef)

z=trpgrida53
outfile='transmission_amsua_ch5_angles_faibles.png'
txt='transmission amsua ch5 angles faibles'
drawmapf.drawmap(z, xvec, yvec, outfile, txt, cax1,cax2,cax3, my_cmap, coef)

z=trpgrid_ta5
outfile='transmission_amsua_ch5.png'
txt='transmission amsua ch5'
drawmapf.drawmap(z, xvec, yvec, outfile, txt, cax1,cax2,cax3, my_cmap, coef)

cax1=-0.3
cax2=0
cax3=0.001
z=trpgrida51-trpgrida53
outfile='diff_transmission_amsua_ch5.png'
txt='diff transmission amsua ch5 angles exterieurs moins anglesfaibles'
drawmapf.drawmap(z, xvec, yvec, outfile, txt, cax1,cax2,cax3, my_cmap, coef)

#tup

#ch1

x=amch1[0,:]
y=amch1[1,:]
z=amch1[18,:]
m=amch1[14,:]
z0=0
z1=
y11 = -50

import newgrid_zml
tupgrid_ta1, tuppgrid_ta1, tupngrid_ta1, tupnngrid_ta1, tupsigma_grid_ta1, xvec, yvec, tup_ta1, mm_tupa1 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch2

x=amch2[0,:]
y=amch2[1,:]
z=amch2[18,:]
m=amch2[14,:]
z0=0
z1=200
y11 = -50

import newgrid_zml
tupgrid_ta2, tuppgrid_ta2, tupngrid_ta2, tupnngrid_ta2, tupsigma_grid_ta2, xvec, yvec, tup_ta2, mm_tupa2 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch3

x=amch3[0,:]
y=amch3[1,:]
z=amch3[18,:]
m=amch3[14,:]
z0=0
z1=200
y11 = -50

import newgrid_zml
tupgrid_ta3, tuppgrid_ta3, tupngrid_ta3, tupnngrid_ta3, tupsigma_grid_ta3, xvec, yvec, tup_ta3, mm_tupa3 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch4

x=amch4[0,:]
y=amch4[1,:]
z=amch4[18,:]
m=amch4[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tupgrid_ta4, tuppgrid_ta4, tupngrid_ta4, tupnngrid_ta4, tupsigma_grid_ta4, xvec, yvec, tup_ta4, mm_tupa4 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)


#ch5

x=amch5[0,:]
y=amch5[1,:]
z=amch5[18,:]
m=amch5[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tupgrid_ta5, tuppgrid_ta5, tupngrid_ta5, tupnngrid_ta5, tupsigma_grid_ta5, xvec, yvec, tup_ta5, mm_tupa5 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch6

x=amch6[0,:]
y=amch6[1,:]
z=amch6[18,:]
m=amch6[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tupgrid_ta6, tuppgrid_ta6, tupngrid_ta6, tupnngrid_ta6, tupsigma_grid_ta6, xvec, yvec, tup_ta6, mm_tupa6 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch7

x=amch7[0,:]
y=amch7[1,:]
z=amch7[18,:]
m=amch7[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tupgrid_ta7, tuppgrid_ta7, tupngrid_ta7, tupnngrid_ta7, tupsigma_grid_ta7, xvec, yvec, tup_ta7, mm_tupa7 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch15

x=amch15[0,:]
y=amch15[1,:]
z=amch15[18,:]
m=amch15[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tupgrid_ta15, tuppgrid_ta15, tupngrid_ta15, tupnngrid_ta15, tupsigma_grid_ta15, xvec, yvec, tup_ta15, mm_tupa15 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

###########################################
#TS

max_amsuaTS=np.array([amch1[10,:].max(),amch2[10,:].max(),amch3[10,:].max(),
amch4[10,:].max(),amch5[10,:].max(),amch6[10,:].max(),amch7[10,:].max(),amch15[10,:].max()])


#ch1

x=amch1[0,:]
y=amch1[1,:]
z=amch1[10,:]
m=amch1[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tsgrid_ta1, tspgrid_ta1, tsngrid_ta1, tsnngrid_ta1, tssigma_grid_ta1, xvec, yvec, ts_ta1, mm_tsa1 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch2

x=amch2[0,:]
y=amch2[1,:]
z=amch2[10,:]
m=amch2[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tsgrid_ta2, tspgrid_ta2, tsngrid_ta2, tsnngrid_ta2, tssigma_grid_ta2, xvec, yvec, ts_ta2, mm_tsa2 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch3

x=amch3[0,:]
y=amch3[1,:]
z=amch3[10,:]
m=amch3[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tsgrid_ta3, tspgrid_ta3, tsngrid_ta3, tsnngrid_ta3, tssigma_grid_ta3, xvec, yvec, ts_ta3, mm_tsa3 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch4

x=amch4[0,:]
y=amch4[1,:]
z=amch4[10,:]
m=amch4[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tsgrid_ta4, tspgrid_ta4, tsngrid_ta4, tsnngrid_ta4, tssigma_grid_ta4, xvec, yvec, ts_ta4, mm_tsa4 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)


#ch5

x=amch5[0,:]
y=amch5[1,:]
z=amch5[10,:]
m=amch5[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tsgrid_ta5, tspgrid_ta5, tsngrid_ta5, tsnngrid_ta5, tssigma_grid_ta5, xvec, yvec, ts_ta5, mm_tsa5 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch6

x=amch6[0,:]
y=amch6[1,:]
z=amch6[10,:]
m=amch6[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tsgrid_ta6, tspgrid_ta6, tsngrid_ta6, tsnngrid_ta6, tssigma_grid_ta6, xvec, yvec, ts_ta6, mm_tsa6 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch7

x=amch7[0,:]
y=amch7[1,:]
z=amch7[10,:]
m=amch7[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tsgrid_ta7, tspgrid_ta7, tsngrid_ta7, tsnngrid_ta7, tssigma_grid_ta7, xvec, yvec, ts_ta7, mm_tsa7 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch15

x=amch15[0,:]
y=amch15[1,:]
z=amch15[10,:]
m=amch15[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tsgrid_ta15, tspgrid_ta15, tsngrid_ta15, tsnngrid_ta15, tssigma_grid_ta15, xvec, yvec, ts_ta15, mm_tsa15 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)



