#!/usr/bin/env python
# -*- coding: utf-8 -*-
import string
import numpy as np
import matplotlib.pyplot as plt
import ffgrid2
from pylab import *
from mpl_toolkits.basemap import Basemap
from mpl_toolkits.basemap import shiftgrid, cm
import netCDF4
import carte
#from mpl_toolkits.basemap import shiftgrid, cm
from netCDF4 import Dataset
import carteb
import carte_osi


output0='D:\\PUBLICATIONS\\Papier_Karbou_al_2012_MWR\\FIGURES\\DailyMaps_'
for dj in range(0,31):
    lejour=dj+1
    if (lejour <= 9):
        nom_jour='0'+ str(lejour)
    else:
        nom_jour= str(lejour)
    
    print lejour
    #ascat data
    fichier_ascat='..\\DATA\\ASCAT\\NH\\ASCAT_200901'+nom_jour+'.nc'
    fichier_osisaf1='..\\DATA\\OSISAF\\ice_type_nh_polstere-100_multi_200901'+nom_jour+'1200.nc'
    fichier_osisaf2='..\\DATA\\OSISAF\\ice_conc_nh_polstere-100_multi_200901'+nom_jour+'1200.nc'
    fichier_ssmi='..\\DATA\\SSMI\\NH\\200901'+nom_jour+'.nc'
    ascat=Dataset(fichier_ascat,'r', format='NETCDF3_CLASSIC')
    ascat_sca=reshape(ascat.variables['sigma_40'][:],(544768,1))[:,0]
    ascat_lon=reshape(ascat.variables['longitude'][:],(544768,1))[:,0]
    ascat_lat=reshape(ascat.variables['latitude'][:],(544768,1))[:,0]
    ascat_sca2=reshape(ascat.variables['sigma_40_mask'][:],(544768,1))[:,0]
    for gg in range(0,544768):
        if (ascat_lon[gg] > 180): ascat_lon[gg]=ascat_lon[gg]-360
    ascat.close()
    #ssmi data
    ssmi=Dataset(fichier_ssmi,'r', format='NETCDF3_CLASSIC')
    ssmi_conc=reshape(ssmi.variables['concentration'][:],(544768,1))[:,0]
    ssmi.close()
    sbb=nonzero(ascat_sca > 0)[0]
    carte.draw(ssmi_conc,ascat_lon, ascat_lat, output0+'IFREMER_SSMIconc_'+str(lejour)+'janvier2009.png',nom_jour+' January 2009, Ice Concentration (%)',1,100,1)
    close()
    carteb.draw(ascat_sca[sbb],ascat_lon[sbb], ascat_lat[sbb], output0+'IFREMER_ASCAT_'+str(lejour)+'janvier2009.png',nom_jour+' January 2009, backscatter')
    close()
    #osisaf
    icetype=Dataset(fichier_osisaf1, 'r', format='NETCDF3_CLASSIC')
    osi_lat= reshape(icetype.variables['lat'][:],(851200,1))[:,0]
    osi_lon= reshape(icetype.variables['lon'][:],(851200,1))[:,0]
    osi_type= reshape(icetype.variables['ice_type'][:],(851200,1))[:,0]
    icetype.close()
    iceconc=Dataset(fichier_osisaf2, 'r', format='NETCDF3_CLASSIC')
    osi_lat= reshape(iceconc.variables['lat'][:],(851200,1))[:,0]
    osi_lon= reshape(iceconc.variables['lon'][:],(851200,1))[:,0]
    osi_conc= reshape(iceconc.variables['ice_conc'][:],(851200,1))[:,0]
    iceconc.close()
    bb_osi=nonzero((osi_type > 1))[0]
    carte_osi.draw(osi_type[bb_osi],osi_lon[bb_osi], osi_lat[bb_osi], output0+'_OSISAF_IceType_'+str(lejour)+'janvier2009.png',nom_jour+' January 2009, Ice Type',1,5,1)
    close()
    carte.draw(osi_conc[bb_osi],osi_lon[bb_osi], osi_lat[bb_osi], output0+'OSISAF_IceConc_'+str(lejour)+'janvier2009.png',nom_jour+' January 2009, Ice Concentration (%)',1,100,1)
    close()
    
    
