#! /usr/bin/env python
# -*- coding: utf-8 -*-


#################################
# Appel des modules necessaires #
#################################
import numpy as np
import matplotlib as mpl
import matplotlib.pyplot as plt
import string
from numpy import *
from mpl_toolkits.basemap import Basemap
from netCDF4 import Dataset
import scipy.optimize
from scipy.sparse import bsr_matrix
from mpl_toolkits.axes_grid1 import host_subplot


###############################################################
# Creation du vecteur 'dates' de decembre 2009 a juillet 2010 #
###############################################################
name_month = (['Dec2009','Jan2010','Feb2010','Mar2010','Apr2010','May2010','Jun2010','Jul2010'])
annee = (['09','10'])
list_mois = arange(1,9,1)
list_jour1 = arange(1,32,1)
list_jour2 = arange(1,32,1)
list_jour3 = arange(1,29,1)
list_jour4 = arange(1,32,1)
list_jour5 = arange(1,31,1)
list_jour6 = arange(1,32,1)
list_jour7 = arange(1,31,1)
list_jour8 = arange(1,32,1)
LST_JR = ([list_jour1,list_jour2,list_jour3,list_jour4,list_jour5,list_jour6,list_jour7,list_jour8])
lst_month = np.array([0,31,31+31,31+31+28,31+31+28+31,31+31+28+31+30,31+31+28+31+30+31,31+31+28+31+30+31+30,31+31+28+31+30+31+30+31])
        ####################################
        #initialisation (mois de decembre) #
        ####################################
jour_an = []
imo = 0
for ijr in range (0,len(LST_JR[imo])):
    nom_mois = '12'
    if (LST_JR[imo][ijr] <= 9):
        nom_jour = '0' + str(LST_JR[imo][ijr])
    else:
        nom_jour = str(LST_JR[imo][ijr])
    jour_an.append(annee[0] + nom_mois + nom_jour)

        #############################
        # mois de janvier a juillet #
        #############################
for imo in range (1,8):
    nom_mois = '0' + str(list_mois[imo]-1)
    for ijr in range (0,len(LST_JR[imo])):
        if (LST_JR[imo][ijr] <= 9):
            nom_jour = '0' + str(LST_JR[imo][ijr])
        else:
            nom_jour = str(LST_JR[imo][ijr])
        jour_an.append(annee[1] + nom_mois + nom_jour)

jour_an = np.array(jour_an)

#######################
# Lecture de data OBS #
#######################

n = np.zeros([len(jour_an)],int)
for ijr in range(0,len(jour_an)):
    fichier = open ('D:/data/obs/obs_0912-1007/R'+jour_an[ijr]+'06', 'r')
    numlines = 0
    for line in fichier: numlines += 1
    fichier.close()
    nbtotal=numlines
    fichier = open ('D:/data/obs/obs_0912-1007/R'+jour_an[ijr]+'06', 'r')
    iligne = 0
    lat=np.zeros([nbtotal],float)
    typeobs=np.zeros([nbtotal],int)
    lon=np.zeros([nbtotal],float)
    indic=np.zeros([nbtotal],object)
    rrobs=np.zeros([nbtotal],float)
    alt=np.zeros([nbtotal],float)
    while (iligne < nbtotal) :
        line = fichier.readline()
        lon[iligne] = float(line[12:18])/100.
        lat[iligne] = float(line[6:12])/100.
        rrobs[iligne] = float(line[44:50])/100.
        indic[iligne] = line[28:38]
        alt[iligne] = float(line[38:44])/10.
        iligne=iligne+1
    fichier.close()
    n[ijr]=nbtotal
