#! /usr/bin/env python
# -*- coding: utf-8 -*-

#################################
# Appel des modules necessaires #
#################################
import numpy as np
import matplotlib as mpl
import matplotlib.pyplot as plt
import string
from numpy import *
from mpl_toolkits.basemap import Basemap
from matplotlib.collections import PolyCollection
from matplotlib.patches import Polygon


######################################################
# Lecture du fichier 'NORELmt_typetemps_massifs.dat' #
######################################################
# lecture du fichier clim safran types de temps par massifs
# 24 massifs et 7 types de temps, 13 niveaux d'altitude par pas de 300m
nbtotal=91
fichier = open ('D:\data\safran\NORELmt_typetemps_massifs.dat', 'r')
iligne = 0
alt_massifs=np.zeros([nbtotal],float)
type_temps=np.zeros([nbtotal],float)
rr_massifs=np.zeros([nbtotal,24],float)
while (iligne < nbtotal) :
         line=fichier.readline()
         # exemple : line = "0.22 2.3 5.0 6"
         liste = line.split()
         # exemple : listeCoord ['0.22', '2.3', '5.0', '6'] (liste de chaine de caractères)
         alt_massifs[iligne] = float(liste[1])
         type_temps[iligne] = float(liste[0])
         for jj in range(0,24):
             rr_massifs[iligne,jj] = float(liste[jj+2])
         iligne=iligne+1
         

fichier.close()


###########################################
# Lecture du fichier 'listml_massifs.dat' #
###########################################
# lecture du fichier clim safran: definition des 24 massifs
nbmassifs=24
fichier = open ('D:\data\safran\listeml_massifs.dat', 'r')
iligne = 0
nom_massif=np.zeros([nbmassifs],object)
numero_massif=np.zeros([nbmassifs],float)
points_massif=np.zeros([nbmassifs],int)
lats_massif=np.zeros([nbmassifs,15],float)
lons_massif=np.zeros([nbmassifs,15],float)
while (iligne < nbmassifs) :
         print iligne
         line=fichier.readline()
         # exemple : line = "0.22 2.3 5.0 6"
         liste = line.split(',')
         # exemple : listeCoord ['0.22', '2.3', '5.0', '6'] (liste de chaine de caractères)
         numero_massif[iligne] = float(liste[0])
         nom_massif[iligne] = str(liste[1])
         points_massif[iligne]=int(liste[2])
         for jj in range(0,points_massif[iligne]):
             lats_massif[iligne,jj] = float(liste[jj+3])/100
             lons_massif[iligne,jj] = float(liste[jj+3+points_massif[iligne]])/100
         iligne=iligne+1
         

fichier.close()




