#mod gabi para graficar AMSUA CH2
#!/usr/bin/env python
# -*- coding: utf-8 -*-
import string
import numpy as np
import matplotlib.pyplot as plt
from pylab import *
from mpl_toolkits.basemap import Basemap
from mpl_toolkits.basemap import shiftgrid, cm

#trans t


zz1=trpgrid_t
tt1='trans amusa ch2'
t1='trans_amsua_ch2.png'

# on recupere les coordonnes xy de la projection orth standard
m1 = Basemap(projection='ortho', lat_0 = -90, lon_0 = 0,
resolution = 'l')

xii, yii = m1(*np.meshgrid(xvec,yvec))
width = m1.urcrnrx - m1.llcrnrx
height = m1.urcrnry - m1.llcrnry

coef = 0.6
width = width*coef
height = height*coef

# on fait une nouvelle projection en zoomant sur l'antarctique

map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\

llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
#, clevs, cmap=my_cmap)
clevs=arange(0,1,0.001)#star, stop, step
cs=map.contourf(xii,yii,zz1, clevs, cmap=cm.s3pcpn_l_r)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt1)

# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))
#plt.show()

plt.savefig(t1)
close()

#########################################################################
####emis t 1pos 2pos 3pos
zz21 = trpgrid_t
zz22 = trpgrid_1n
zz23 = trpgrid_2n
zz24 = trpgrid_3n
tt21='trans amsua ch2 t'
tt22='trans amsua ch2 1n'
tt23='trans amsua ch2 2n'
tt24='trans amsua ch2 3n'
t='trans_amsua_ch2_t123.png'

figure(1)
subplot(221)
m1 = Basemap(projection='ortho', lat_0 = -90, lon_0 = 0,
resolution = 'l')

xii, yii = m1(*np.meshgrid(xvec,yvec))
width = m1.urcrnrx - m1.llcrnrx
height = m1.urcrnry - m1.llcrnry

coef = 0.6
width = width*coef
height = height*coef

# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(0.9,1,0.001)#star, stop, step
cs=map.contourf(xii,yii,zz21, clevs, cmap=cm.s3pcpn_l_r)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt21)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))

subplot(222)
# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(0.9,1,0.001)#star, stop, step
cs=map.contourf(xii,yii,zz22, clevs, cmap=cm.s3pcpn_l_r)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt22)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))


subplot(223)
# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(0.9,1,0.001)#star, stop, step
cs=map.contourf(xii,yii,zz23, clevs, cmap=cm.s3pcpn_l_r)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt23)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))


subplot(224)
# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(0.9,1,0.001)#star, stop, step
cs=map.contourf(xii,yii,zz24, clevs, cmap=cm.s3pcpn_l_r)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt24)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))
#plt.show()

plt.savefig(t)
close()

#########################################################################
#### ecart type emis t 1pos 2pos 3pos
zz21 = trsigma_grid_t
zz22 = trsigma_grid_1n
zz23 = trsigma_grid_2n
zz24 = trsigma_grid_3n
tt21='ecart type trans amsua ch2 t'
tt22='ecart type trans amsua ch2 1n'
tt23='ecart type trans amsua ch2 2n'
tt24='ecart type trans amsua ch2 3n'
t='ecart_type_trans_amsua_ch2_t123.png'

figure(1)
subplot(221)
m1 = Basemap(projection='ortho', lat_0 = -90, lon_0 = 0,
resolution = 'l')

xii, yii = m1(*np.meshgrid(xvec,yvec))
width = m1.urcrnrx - m1.llcrnrx
height = m1.urcrnry - m1.llcrnry

coef = 0.6
width = width*coef
height = height*coef

# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(0,0.03,0.0001)#star, stop, step
cs=map.contourf(xii,yii,zz21, clevs, cmap=cm.s3pcpn_l_r)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt21)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))

subplot(222)
# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(0,0.03,0.0001)#star, stop, step
cs=map.contourf(xii,yii,zz22, clevs, cmap=cm.s3pcpn_l_r)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt22)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))


subplot(223)
# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(0,0.03,0.0001)#star, stop, step
cs=map.contourf(xii,yii,zz23, clevs, cmap=cm.s3pcpn_l_r)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt23)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))


subplot(224)
# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(0,0.03,0.0001)#star, stop, step
cs=map.contourf(xii,yii,zz24, clevs, cmap=cm.s3pcpn_l_r)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt24)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))
#plt.show()

plt.savefig(t)
close()

#########################################################################
#### nom données emis t 1pos 2pos 3pos
zz21 = trnngrid_t
zz22 = trnngrid_1n
zz23 = trnngrid_2n
zz24 = trnngrid_3n
tt21='nom donnees trans amsua ch2 t'
tt22='nom donnees trans amsua ch2 1n'
tt23='nom donnees trans amsua ch2 2n'
tt24='nom donnees trans amsua ch2 3n'
t='nom_donnees_trans_amsua_ch2_t123.png'

0,0.1,0.0001figure(1)
subplot(221)
m1 = Basemap(projection='ortho', lat_0 = -90, lon_0 = 0,
resolution = 'l')

xii, yii = m1(*np.meshgrid(xvec,yvec))
width = m1.urcrnrx - m1.llcrnrx
height = m1.urcrnry - m1.llcrnry

coef = 0.6
width = width*coef
height = height*coef

# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(0,1000,10)#star, stop, step
cs=map.contourf(xii,yii,zz21, clevs)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt21)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))

subplot(222)
# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(0,1000,10)#star, stop, step
cs=map.contourf(xii,yii,zz22, clevs)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt22)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))


subplot(223)
# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(0,1000,10)#star, stop, step
cs=map.contourf(xii,yii,zz23, clevs)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt23)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))


subplot(224)
# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(0,1000,10)#star, stop, step
cs=map.contourf(xii,yii,zz24, clevs)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt24)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))
#plt.show()

plt.savefig(t)
close()


#########################################################################
#### dif emis t 1pos 2pos 3pos
zz21 = edif_t1
zz22 = edif_t2
zz23 = edif_t3
zz24 = edif_13
tt21='dif emis t pos1 amsua ch2'
tt22='dif emis t pos2 amsua ch2'
tt23='dif emis t pos3 amsua ch2'
tt24='dif emis pos1 pos2 amsua ch2'
t='dif_emis_amsua_ch2.png'

figure(1)
subplot(221)
m1 = Basemap(projection='ortho', lat_0 = -90, lon_0 = 0,
resolution = 'l')

xii, yii = m1(*np.meshgrid(xvec,yvec))
width = m1.urcrnrx - m1.llcrnrx
height = m1.urcrnry - m1.llcrnry

coef = 0.6
width = width*coef
height = height*coef

# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(-0.05,0.05,0.0001)#star, stop, step
cs=map.contourf(xii,yii,zz21, clevs, cmap=cm.s3pcpn_l_r)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt21)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))

subplot(222)
# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(-0.05,0.05,0.0001)#star, stop, step
cs=map.contourf(xii,yii,zz22, clevs, cmap=cm.s3pcpn_l_r)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt22)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))


subplot(223)
# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(-0.05,0.05,0.0001)#star, stop, step
cs=map.contourf(xii,yii,zz23, clevs, cmap=cm.s3pcpn_l_r)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt23)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))


subplot(224)
# on fait une nouvelle projection en zoomant sur l'antarctique
map = Basemap(projection='ortho',lon_0=0,lat_0=-90,resolution='l',\
llcrnrx=-0.5*width,llcrnry=-0.5*height,urcrnrx=0.5*width,urcrnry=0.5*height)
xii, yii = map(*np.meshgrid(xvec,yvec))
clevs=arange(-0.05,0.05,0.0001)#star, stop, step
cs=map.contourf(xii,yii,zz24, clevs, cmap=cm.s3pcpn_l_r)
#cs=map.pcolormesh(xii,yii,zz2)
#cmap=cm.s3pcpn_l_r)
#sstanom)
#s3pcpn_l_r)
cbar =colorbar(cs)
plt.title(tt24)
# draw coastlines, country boundaries, fill continents.
map.drawcoastlines(linewidth=1)
# draw the edge of the map projection region (the projection limb)
map.drawmapboundary()
# draw lat/lon grid lines every 30 degrees.
map.drawmeridians(np.arange(0, 360, 10))
map.drawparallels(np.arange(-90, 90, 10))
#plt.show()

plt.savefig(t)
close()

################################################
#histograma

bins=arange(0.4,1,0.002)
plt.hist(zz, bins=bins,histtype='step', label='hist',normed='True',color='black')
plt.show()
plt.savefig('hist_emis_amsua_ch2.png')
close()
