#!/usr/bin/env python
# -*- coding: utf-8 -*-
import string
import numpy as np
import matplotlib.pyplot as plt
from pylab import *
from mpl_toolkits.basemap import Basemap
from mpl_toolkits.basemap import shiftgrid, cm
import netCDF4


f11='/net/dedale/usr/dedale/surf/lelod/ANTARC/AMSUB_CH'
f2='_ANTARC_JUNE2010.DAT'
amsubch=np.array([1,2,3,4,5])
amsub_numlines=np.zeros([5],float)

#for i in range(0,5):
    #f=f1+str(amsuach[i])+f2
    #fichier=open(f,'r')
    #amsub_numlines[i] = 0
    #for line in fichier: amsub_numlines[i] += 1

    #fichier.close

amsub_numlines=np.array([ 24061450.,  24061453.,  19295174.,  19295173.,  19295172.])

ambch1=np.zeros([20,amsub_numlines[0]],float)
ambch2=np.zeros([20,amsub_numlines[1]],float)
ambch3=np.zeros([20,amsub_numlines[2]],float)
ambch4=np.zeros([20,amsub_numlines[3]],float)
ambch5=np.zeros([20,amsub_numlines[4]],float)


#ch1
i=0
f=f11+str(amsubch[i])+f2
fichier=open(f,'r')
a=amsub_numlines[i]-1

for iligne in range(0,a):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,19):
        ambch1[j,iligne] = float(liste[j])


fichier.close


#ch2
i=1
f=f11+str(amsubch[i])+f2
fichier=open(f,'r')
a=amsub_numlines[i]-1

for iligne in range(0,a):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,19):
        ambch2[j,iligne] = float(liste[j])


fichier.close

#ch3
i=2
f=f11+str(amsubch[i])+f2
fichier=open(f,'r')
a=amsub_numlines[i]-1

for iligne in range(0,a):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,19):
        ambch3[j,iligne] = float(liste[j])


fichier.close

#ch4
i=3
f=f11+str(amsubch[i])+f2
fichier=open(f,'r')
a=amsub_numlines[i]-1

for iligne in range(0,a):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,19):
        ambch4[j,iligne] = float(liste[j])


fichier.close

#ch5
i=4
f=f11+str(amsubch[i])+f2
fichier=open(f,'r')
a=amsub_numlines[i]-1

for iligne in range(0,a):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,19):
        ambch5[j,iligne] = float(liste[j])


fichier.close

#####################################"
#altitude
x=ambch1[0,:]
y=ambch1[1,:]
z=ambch1[14,:]
m=ambch1[14,:]
z0=0
z1=1
y11 = -50

import newgrid_zml
mgrid_tab1, mppgrid_tab1, mngrid_tab1, mnngrid_tab1, msigma_grid_tab1, xvec, yvec, m_tab1, mm_tupab1 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

coef=0.6
cax1=0
cax2=1
cax3=0.01
my_cmap=cm.s3pcpn_l

mask=mppgrid_tab1.round()

zz=mask
txt='mask amsub'
outfile='mask_amsub.png'
drawmapf.drawmap(zz, xvec, yvec, outfile, txt, cax1,cax2,cax3, my_cmap, coef)

####################
#tup
tupamsub_max=np.array([ambch1[18,:].max(),ambch2[18,:].max(),ambch3[18,:].max(),ambch4[18,:].max(),ambch5[18,:].max()])

#ch1

x=ambch1[0,:]
y=ambch1[1,:]
z=ambch1[18,:]
m=ambch1[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tupgrid_tab1, tuppgrid_tab1, tupngrid_tab1, tupnngrid_tab1, tupsigma_grid_tab1, xvec, yvec, tup_tab1, mm_tupab1 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch2

x=ambch2[0,:]
y=ambch2[1,:]
z=ambch2[18,:]
m=ambch2[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tupgrid_tab2, tuppgrid_tab2, tupngrid_tab2, tupnngrid_tab2, tupsigma_grid_tab2, xvec, yvec, tup_tab2, mm_tupab2 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch3

x=ambch3[0,:]
y=ambch3[1,:]
z=ambch3[18,:]
m=ambch3[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tupgrid_tab3, tuppgrid_tab3, tupngrid_tab3, tupnngrid_tab3, tupsigma_grid_tab3, xvec, yvec, tup_tab3, mm_tupab3 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch4

x=ambch4[0,:]
y=ambch4[1,:]
z=ambch4[18,:]
m=ambch4[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tupgrid_tab4, tuppgrid_tab4, tupngrid_tab4, tupnngrid_tab4, tupsigma_grid_tab4, xvec, yvec, tup_tab4, mm_tupab4 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)

#ch5

x=ambch5[0,:]
y=ambch5[1,:]
z=ambch5[18,:]
m=ambch5[14,:]
z0=0
z1=300
y11 = -50

import newgrid_zml
tupgrid_tab5, tuppgrid_tab5, tupngrid_tab5, tupnngrid_tab5, tupsigma_grid_tab5, xvec, yvec, tup_tab5, mm_tupab5 = newgrid_zml.newgrid(x, y, z, m, vnx1,z0, z1, y11)
