#!/usr/bin/env python
# -*- coding: utf-8 -*-
import string
import numpy as np
import matplotlib.pyplot as plt
#import ffgrid2_gc
from pylab import *
from mpl_toolkits.basemap import Basemap
from mpl_toolkits.basemap import shiftgrid, cm
import netCDF4


fichier=open('/net/dedale/usr/dedale/surf/lelod/ANTARC/SSMIS_CH2_ANTARC_JUNE2010.DAT','r')
numlines = 0
for line in fichier: numlines += 1

fichier.close


fichier=open('/net/dedale/usr/dedale/surf/lelod/ANTARC/SSMIS_CH2_ANTARC_JUNE2010.DAT','r')
nbtotal=numlines

iligne=0
lat=np.zeros([nbtotal],float)
lon=np.zeros([nbtotal],float)
jjr=np.zeros([nbtotal],float)
zen=np.zeros([nbtotal],float)
fov=np.zeros([nbtotal],float)
ts=np.zeros([nbtotal],float)
emis=np.zeros([nbtotal],float)
tb=np.zeros([nbtotal],float)
tup=np.zeros([nbtotal],float)
tdn=np.zeros([nbtotal],float)
trans=np.zeros([nbtotal],float)
orog=np.zeros([nbtotal],float)

while (iligne <= nbtotal-1) :
    line=fichier.readline()
    # exemple : line = "0.22 2.3 5.0 6"
    liste = line.split()
    # exemple : listeCoord ['0.22', '2.3', '5.0', '6'] (liste de chaine de
    # caractères)
    lat[iligne] = float(liste[1])
    lon[iligne] = float(liste[0])
    jjr[iligne] = float(liste[4])
    ts[iligne] = float(liste[8])
    tb[iligne] = float(liste[13])
    emis[iligne] = float(liste[14])
    orog[iligne] = float(liste[11])
    iligne=iligne+1

fichier.close

x=lon
y=lat
z=tb
zgrid, zzgrid, ngrid, nngrid, sigma_grid, xvec, yvec =ffgrid2_gc.ffgrid(xx,yy,zz)


#antes


dx=0.1
dy=1.0
x0, x1 = -180, 180
y0, y1 = -90, 90

monthly_outz=np.zeros([40,3600],float)
monthly_lon=np.zeros([3600])
monthly_lat=np.zeros([40])
xx = lon
yy = lat
zz = tb
zz0 = 100
zz1= 300
outz, outx, outy, Nil = ffgrid3.ffgrid(xx, yy, zz, dx, dy, x0,x1,y0,y1,zz0, zz1)
x=outx
y=outy
z = np.transpose(outz)
z[Nil]=600
z=np.transpose(z)

del outz, outx, outy, zz, xx, yy


# ici je fais des cartes moyennes en melangeant les polars

xx = lon_ssmis
yy = lat_ssmis
zz = 0.5*(emis_ssmis[1,:]+emis_ssmis[2,:])
outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0,x1,y0,y1,0.1, 1)
monthly_outz_ssmis_polar[0,:,:]=outz
del outz, outx, outy, zz

zz = 0.5*(emis_ssmis[4,:]+emis_ssmis[5,:])
outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0,x1,y0,y1,0.1, 1)
monthly_outz_ssmis_polar[1,:,:]=outz
del outz, outx, outy, zz

zz = 0.5*(emis_ssmis[6,:]+emis_ssmis[7,:])
outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0,x1,y0,y1,0.1, 1)
monthly_outz_ssmis_polar[2,:,:]=outz
del outz, outx, outy, zz, xx, yy

# ici je fais des cartes moyennes des differences des polars
xx = lon_ssmis
yy = lat_ssmis
zz = emis_ssmis[1,:]-emis_ssmis[2,:]
outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0,x1,y0,y1,-0.05, 0.2)
monthly_outz_ssmis_diff[0,:,:]=outz
del outz, outx, outy, zz

zz = emis_ssmis[4,:]-emis_ssmis[5,:]
outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0,x1,y0,y1,-0.05, 0.2)
monthly_outz_ssmis_diff[1,:,:]=outz
del outz, outx, outy, zz

zz = emis_ssmis[6,:]-emis_ssmis[7,:]
outz, outx, outy = ffgrid2.ffgrid(xx, yy, zz, dx, dy, x0,x1,y0,y1,-0.05, 0.2)
monthly_outz_ssmis_diff[2,:,:]=outz
del outz, outx, outy, zz, xx, yy

draw_map.draw(monthly_outz_ssmis_polar[0,:], monthly_lon_ssmis, monthly_lat_ssmis, '..\FIG\mean_ssmis_19GHzmpolar_HN_'+le_mois+'.png', '',0.6,1.01,0.002,cm.s3pcpn_l_r)
draw_map.draw(monthly_outz_ssmis_polar[1,:], monthly_lon_ssmis, monthly_lat_ssmis, '..\FIG\mean_ssmis_37GHzmpolar_HN_'+le_mois+'.png', '',0.6,1.01,0.002,cm.s3pcpn_l_r)
draw_map.draw(monthly_outz_ssmis_polar[2,:], monthly_lon_ssmis, monthly_lat_ssmis, '..\FIG\mean_ssmis_85GHzmpolar_HN_'+le_mois+'.png', '',0.6,1.01,0.002,cm.s3pcpn_l_r)

draw_map.draw(monthly_outz_ssmis_diff[0,:], monthly_lon_ssmis, monthly_lat_ssmis, '..\FIG\mean_ssmis_19V-H_HN_'+le_mois+'.png', '',0,0.2,0.002,cm.s3pcpn_l_r)
draw_map.draw(monthly_outz_ssmis_diff[1,:], monthly_lon_ssmis, monthly_lat_ssmis, '..\FIG\mean_ssmis_37V-H_HN_'+le_mois+'.png', '',0,0.2,0.002,cm.s3pcpn_l_r)
draw_map.draw(monthly_outz_ssmis_diff[2,:], monthly_lon_ssmis, monthly_lat_ssmis, '..\FIG\mean_ssmis_85V-H_HN_'+le_mois+'.png', '',0,0.2,0.002,cm.s3pcpn_l_r)

draw_map.draw(monthly_outz_ssmis[0,:], monthly_lon_ssmis, monthly_lat_ssmis, '..\FIG\mean_ssmis_50V_HN_'+le_mois+'.png', '',0.6,1.01,0.002,cm.s3pcpn_l_r)
draw_map.draw(monthly_outz_ssmis[1,:], monthly_lon_ssmis, monthly_lat_ssmis, '..\FIG\mean_ssmis_19V_HN_'+le_mois+'.png', '',0.6,1.01,0.002,cm.s3pcpn_l_r)
draw_map.draw(monthly_outz_ssmis[2,:], monthly_lon_ssmis, monthly_lat_ssmis, '..\FIG\mean_ssmis_19H_HN_'+le_mois+'.png', '',0.6,1.01,0.002,cm.s3pcpn_l_r)
draw_map.draw(monthly_outz_ssmis[3,:], monthly_lon_ssmis, monthly_lat_ssmis, '..\FIG\mean_ssmis_22V_HN_'+le_mois+'.png', '',0.6,1.01,0.002,cm.s3pcpn_l_r)
draw_map.draw(monthly_outz_ssmis[4,:], monthly_lon_ssmis, monthly_lat_ssmis, '..\FIG\mean_ssmis_37V_HN_'+le_mois+'.png', '',0.6,1.01,0.002,cm.s3pcpn_l_r)
draw_map.draw(monthly_outz_ssmis[5,:], monthly_lon_ssmis, monthly_lat_ssmis, '..\FIG\mean_ssmis_37H_HN_'+le_mois+'.png', '',0.6,1.01,0.002,cm.s3pcpn_l_r)
draw_map.draw(monthly_outz_ssmis[6,:], monthly_lon_ssmis, monthly_lat_ssmis, '..\FIG\mean_ssmis_85V_HN_'+le_mois+'.png', '',0.6,1.01,0.002,cm.s3pcpn_l_r)
draw_map.draw(monthly_outz_ssmis[7,:], monthly_lon_ssmis, monthly_lat_ssmis, '..\FIG\mean_ssmis_85H_HN_'+le_mois+'.png', '',0.6,1.01,0.002,cm.s3pcpn_l_r)


bins=arange(0.3,1,0.001)
bb=(lat_ssmis >= 0)

plt.hist(emis_ssmis[0,nonzero(bb)[0]], bins=bins,histtype='step', label='e50V',normed='True',color='#4BB5C1')
plt.hist(emis_ssmis[1,nonzero(bb)[0]], bins=bins,histtype='step', label='e19V',normed='True',color='black')
plt.hist(emis_ssmis[3,nonzero(bb)[0]], bins=bins,histtype='step', label='e22V',normed='True',color='#B9121B')
plt.hist(emis_ssmis[4,nonzero(bb)[0]], bins=bins,histtype='step', label='e37V',normed='True',color='#9748D4')
plt.hist(emis_ssmis[6,nonzero(bb)[0]], bins=bins,histtype='step', label='e91V',normed='True',color='#060DE5')
plt.legend(loc='upper left')
plt.show()
plt.savefig('..\FIG\hist_ssmis_V_NH_'+le_mois+'.png')
close()

bins=arange(0.3,1,0.001)
plt.hist(emis_ssmis[2,nonzero(bb)[0]], bins=bins,histtype='step', label='e19H',normed='True',color='black')
plt.hist(emis_ssmis[5,nonzero(bb)[0]], bins=bins,histtype='step', label='e37H',normed='True',color='#9748D4')
plt.hist(emis_ssmis[7,nonzero(bb)[0]], bins=bins,histtype='step', label='e91H',normed='True',color='#060DE5')
plt.legend(loc='upper left')
plt.show()
plt.savefig('..\FIG\hist_ssmis_H_NH_'+le_mois+'.png')
close()

bins=arange(0.3,1,0.001)
plt.hist(0.5*(emis_ssmis[1,nonzero(bb)[0]]+emis_ssmis[2,nonzero(bb)[0]]), bins=bins,histtype='step', label='e19',normed='True',color='black')
plt.hist(0.5*(emis_ssmis[4,nonzero(bb)[0]]+emis_ssmis[5,nonzero(bb)[0]]), bins=bins,histtype='step', label='e37',normed='True',color='#9748D4')
plt.hist(0.5*(emis_ssmis[6,nonzero(bb)[0]]+emis_ssmis[7,nonzero(bb)[0]]), bins=bins,histtype='step', label='e91',normed='True',color='#060DE5')
plt.legend(loc='upper left')
plt.show()
plt.savefig('..\FIG\hist_ssmis_mpolar_NH_'+le_mois+'.png')
close()


# stats quotidienne autour de la station Thulé
lat_stations=[76.32, 74.43, 78.13, 58.45, 68.6, 64.58]
lon_stations=[-68.3, -94.59, 15.35, -78.08, 33.1, 40.5]
nom_stations=['Thule', 'Resolute', 'Longyearbyen', 'Iqaluit', 'Murmansk', 'Arkhangelsk']


for sta in range(0,6):
    lat0=lat_stations[sta]
    lon0=lon_stations[sta]
    stat_jour=np.zeros([8,7,31],float)
    clear bb
    for canal in range(0,8):
        for jjr in range(0,31):
            jour_obs=jjr+1
            bb=(jjr_ssmis == jour_obs) & (abs(lat_ssmis-lat0) < 2.) & (abs(lon_ssmis-lon0) < 2.)
            stat_jour[canal,0,jjr]=mean(emis_ssmis[canal,nonzero(bb)[0]])
            stat_jour[canal,1,jjr]=std(emis_ssmis[canal,nonzero(bb)[0]])            stat_jour[canal,2,jjr]=size(nonzero(bb))
            stat_jour[canal,3,jjr]=mean(ts_ssmis[nonzero(bb)[0]])
            stat_jour[canal,4,jjr]=std(ts_ssmis[nonzero(bb)[0]])
            stat_jour[canal,5,jjr]=mean(tb_ssmis[canal,nonzero(bb)[0]])
            stat_jour[canal,6,jjr]=std(tb_ssmis[canal,nonzero(bb)[0]])
            del bb
    np.save('STAT_SSMIS_'+nom_stations[sta]+'_'+le_mois+'.dat', stat_jour)
    del stat_jour

mpolar_ssmis=np.zeros([3,nbtotal],float)
mpolar_ssmis[0,:]=0.5*(emis_ssmis[1,:]+emis_ssmis[2,:])
mpolar_ssmis[1,:]=0.5*(emis_ssmis[4,:]+emis_ssmis[5,:])
mpolar_ssmis[2,:]=0.5*(emis_ssmis[6,:]+emis_ssmis[7,:])

mpolarTB_ssmis=np.zeros([3,nbtotal],float)
mpolarTB_ssmis[0,:]=0.5*(tb_ssmis[1,:]+tb_ssmis[2,:])
mpolarTB_ssmis[1,:]=0.5*(tb_ssmis[4,:]+tb_ssmis[5,:])
mpolarTN_ssmis[2,:]=0.5*(tb_ssmis[6,:]+tb_ssmis[7,:])

for sta in range(0,6):
    lat0=lat_stations[sta]
    lon0=lon_stations[sta]
    stat2_jour=np.zeros([3,7,31],float)
    clear bb
    for canal in range(0,3):
        for jjr in range(0,31):
            jour_obs=jjr+1
            bb=(jjr_ssmis == jour_obs) & (abs(lat_ssmis-lat0) < 2.) & (abs(lon_ssmis-lon0) < 2.)
            stat2_jour[canal,0,jjr]=mean(mpolar_ssmis[canal,nonzero(bb)[0]])
            stat2_jour[canal,1,jjr]=std(mpolar_ssmis[canal,nonzero(bb)[0]])
            stat2_jour[canal,2,jjr]=size(nonzero(bb))
            stat2_jour[canal,3,jjr]=mean(ts_ssmis[nonzero(bb)[0]])
            stat2_jour[canal,4,jjr]=std(ts_ssmis[nonzero(bb)[0]])
            stat2_jour[canal,5,jjr]=mean(tb_ssmis[canal,nonzero(bb)[0]])            stat2_jour[canal,6,jjr]=std(tb_ssmis[canal,nonzero(bb)[0]])
            del bb
    np.save('STAT_SSMIS-MPOLAR_'+nom_stations[sta]+'_'+le_mois+'.dat', stat_jour)
    del stat_jour

# ecriture sous format nc
from netCDF4 import Dataset
rootgrp = Dataset('..\EMIS\EMIS_SSMIS_'+le_mois+'.nc', 'w', format='NETCDF4')

rootgrp.createDimension('longitude', len(monthly_lon_ssmis))
rootgrp.createDimension('latitude', len(monthly_lat_ssmis))
rootgrp.createDimension('channels', 8)
rootgrp.createDimension('bchannels', 3)

# createVariable (nom de la variable, type, dimensions)
# Si 1 dimension, ne pas oublier la virgule
nclon = rootgrp.createVariable('longitude', 'f8', ('longitude',))
nclat = rootgrp.createVariable('latitude', 'f8', ('latitude',))
ncchan=rootgrp.createVariable('channels', 'f', ('channels',))
ncchan2=rootgrp.createVariable('bchannels', 'f', ('bchannels',))
nctemp = rootgrp.createVariable('emissivity', 'f8', ('channels','latitude', 'longitude'))
nctemp2 = rootgrp.createVariable('emissivity melange polar', 'f8', ('bchannels','latitude', 'longitude'))

nclon[:] = monthly_lon_ssmis
nclat[:] = monthly_lat_ssmis
ncchan[:]=[50,19.1,19.2,22,37.1,37.2,91.1,91.2]
ncchan2[:]=[19,37,91]
nctemp[:] = monthly_outz_ssmis
nctemp2[:] = monthly_outz_ssmis_polar

rootgrp.close()
