#! /usr/bin/env python
# -*- coding: utf-8 -*-

################################
#Appel des modules necessaires #
################################
import numpy as np
import matplotlib as mpl
import matplotlib.pyplot as plt
import string
from numpy import *
from mpl_toolkits.basemap import Basemap
from netCDF4 import Dataset
import scipy.optimize
from scipy.sparse import bsr_matrix


######################
# Lecture data stats #
######################

    ####################
    # C=2 // corr=7000 #
    ####################
fichier1 = open ('D:/output_Vfinale/stats/err8_C2_correl7000/data/data_mens/stats_mens_1209.txt', 'r')
lines1 = 0
for line in fichier1: lines1 += 1

fichier1.close()
n1 = lines1
fichier1 = open ('D:/output_Vfinale/stats/err8_C2_correl7000/data/data_mens/stats_mens_1209.txt', 'r')
iligne = 0
massif1 = np.zeros([n1],object)
station1 = np.zeros([n1],object)
lon1 = np.zeros([n1],float)
lat1 = np.zeros([n1],float)
alt_sta1 = np.zeros([n1],float)
biais_guess1 = np.zeros([n1],float)
ect_guess1 = np.zeros([n1],float)
rms_guess1 = np.zeros([n1],float)
biais_ana1 = np.zeros([n1],float)
ect_ana1 = np.zeros([n1],float)
rms_ana1 = np.zeros([n1],float)
biais_anaS = np.zeros([n1],float)
ect_anaS = np.zeros([n1],float)
rms_anaS = np.zeros([n1],float)
while (iligne < n1) :
    line = fichier1.readline()
    liste = line.split()
    massif1[iligne] = str(liste[0])
    station1[iligne] = str(liste[1])
    lon1[iligne] = float(liste[2])
    lat1[iligne] = float(liste[3])
    alt_sta1[iligne] = float(liste[4])
    biais_guess1[iligne] = float(liste[5])
    ect_guess1[iligne] = float(liste[6])
    rms_guess1[iligne] = float(liste[7])
    biais_ana1[iligne] = float(liste[8])
    ect_ana1[iligne] = float(liste[9])
    rms_ana1[iligne] = float(liste[10])
    biais_anaS[iligne] = float(liste[11])
    ect_anaS[iligne] = float(liste[12])
    rms_anaS[iligne] = float(liste[13])
    iligne = iligne+1     

fichier1.close()

    ####################
    # C=2 // corr=5000 #
    ####################
fichier2 = open ('D:/output_Vfinale/stats/err8_C2_correl5000/data/data_mens/stats_mens_1209.txt', 'r')
lines2 = 0
for line in fichier2: lines2 += 1

fichier2.close()
n2 = lines2
fichier2 = open ('D:/output_Vfinale/stats/err8_C2_correl5000/data/data_mens/stats_mens_1209.txt', 'r')
iligne = 0
massif2 = np.zeros([n2],object)
station2 = np.zeros([n2],object)
lon2 = np.zeros([n2],float)
lat2 = np.zeros([n2],float)
alt_sta2 = np.zeros([n2],float)
biais_ana2 = np.zeros([n2],float)
ect_ana2 = np.zeros([n2],float)
rms_ana2 = np.zeros([n2],float)
while (iligne < n2) :
    line = fichier2.readline()
    liste = line.split()
    massif2[iligne] = str(liste[0])
    station2[iligne] = str(liste[1])
    lon2[iligne] = float(liste[2])
    lat2[iligne] = float(liste[3])
    alt_sta2[iligne] = float(liste[4])
    biais_ana2[iligne] = float(liste[8])
    ect_ana2[iligne] = float(liste[9])
    rms_ana2[iligne] = float(liste[10])
    iligne = iligne+1     

fichier2.close()

    ####################
    # C=2 // corr=6000 #
    ####################
fichier3 = open ('D:/output_Vfinale/stats/err8_C2_correl6000/data/data_mens/stats_mens_1209.txt', 'r')
lines3 = 0
for line in fichier3: lines3 += 1

fichier3.close()
n3 = lines3
fichier3 = open ('D:/output_Vfinale/stats/err8_C2_correl6000/data/data_mens/stats_mens_1209.txt', 'r')
iligne = 0
massif3 = np.zeros([n3],object)
station3 = np.zeros([n3],object)
lon3 = np.zeros([n3],float)
lat3 = np.zeros([n3],float)
alt_sta3 = np.zeros([n3],float)
biais_ana3 = np.zeros([n3],float)
ect_ana3 = np.zeros([n3],float)
rms_ana3 = np.zeros([n3],float)
while (iligne < n3) :
    line = fichier3.readline()
    liste = line.split()
    massif3[iligne] = str(liste[0])
    station3[iligne] = str(liste[1])
    lon3[iligne] = float(liste[2])
    lat3[iligne] = float(liste[3])
    alt_sta3[iligne] = float(liste[4])
    biais_ana3[iligne] = float(liste[8])
    ect_ana3[iligne] = float(liste[9])
    rms_ana3[iligne] = float(liste[10])
    iligne = iligne+1     

fichier3.close()

    ####################
    # C=2 // corr=8000 #
    ####################
fichier4 = open ('D:/output_Vfinale/stats/err8_C2_correl8000/data/data_mens/stats_mens_1209.txt', 'r')
lines4 = 0
for line in fichier4: lines4 += 1

fichier4.close()
n4 = lines4
fichier4 = open ('D:/output_Vfinale/stats/err8_C2_correl8000/data/data_mens/stats_mens_1209.txt', 'r')
iligne = 0
massif4 = np.zeros([n4],object)
station4 = np.zeros([n4],object)
lon4 = np.zeros([n4],float)
lat4 = np.zeros([n4],float)
alt_sta4 = np.zeros([n4],float)
biais_ana4 = np.zeros([n4],float)
ect_ana4 = np.zeros([n4],float)
rms_ana4 = np.zeros([n4],float)
while (iligne < n4) :
    line = fichier4.readline()
    liste = line.split()
    massif4[iligne] = str(liste[0])
    station4[iligne] = str(liste[1])
    lon4[iligne] = float(liste[2])
    lat4[iligne] = float(liste[3])
    alt_sta4[iligne] = float(liste[4])
    biais_ana4[iligne] = float(liste[8])
    ect_ana4[iligne] = float(liste[9])
    rms_ana4[iligne] = float(liste[10])
    iligne = iligne+1     

fichier4.close()


########
# Plot #
########
figure()
scatter(alt_sta1,rms_ana2,c='c',alpha=0.4,label='C=5000')
scatter(alt_sta1,rms_ana3,c='r',alpha=0.4,label='C=6000')
scatter(alt_sta1,rms_ana1,c='y',alpha=0.4,label='C=7000')
scatter(alt_sta1,rms_ana4,c='b',alpha=0.4,label='C=8000')
legend(loc='best')
grid()
xlabel('altitude (m)')
ylabel('RMS (mm) [OBS-ANALYSE]')
