#! /usr/bin/env python
# -*- coding: utf-8 -*-


#################################
# Appel des modules necessaires #
#################################
import numpy as np
import matplotlib as mpl
import matplotlib.pyplot as plt
import string
from numpy import *
from mpl_toolkits.basemap import Basemap
from netCDF4 import Dataset
import scipy.optimize
from scipy.sparse import bsr_matrix
from mpl_toolkits.axes_grid1 import host_subplot


##########################
# Lecture des nom_massif #
##########################
nbmassifs=24
fichier = open ('D:\data\safran\listeml_massifs.dat', 'r')
iligne = 0
nom_massif=np.zeros([nbmassifs],object)
while (iligne < nbmassifs) :
    line=fichier.readline()
    liste = line.split(',')
    nom_massif[iligne] = str(liste[1])
    iligne=iligne+1
         

fichier.close()


#####################
# Lecture des dates #
#####################
name_month = (['Dec2009','Jan2010','Feb2010','Mar2010','Apr2010','May2010','Jun2010','Jul2010'])
annee = (['09','10'])
list_mois = arange(1,9,1)
list_jour1 = arange(1,32,1)
list_jour2 = arange(1,32,1)
list_jour3 = arange(1,29,1)
list_jour4 = arange(1,32,1)
list_jour5 = arange(1,31,1)
list_jour6 = arange(1,32,1)
list_jour7 = arange(1,31,1)
list_jour8 = arange(1,32,1)
LST_JR = ([list_jour1,list_jour2,list_jour3,list_jour4,list_jour5,list_jour6,list_jour7,list_jour8])
lst_month = np.array([0,31,31+31,31+31+28,31+31+28+31,31+31+28+31+30,31+31+28+31+30+31,31+31+28+31+30+31+30,31+31+28+31+30+31+30+31])
        ####################################
        #initialisation (mois de decembre) #
        ####################################
jour_an = []
imo = 0
for ijr in range (0,len(LST_JR[imo])):
    nom_mois = '12'
    if (LST_JR[imo][ijr] <= 9):
        nom_jour = '0' + str(LST_JR[imo][ijr])
    else:
        nom_jour = str(LST_JR[imo][ijr])
    jour_an.append(annee[0] + nom_mois + nom_jour)

        #############################
        # mois de janvier a juillet #
        #############################
for imo in range (1,8):
    nom_mois = '0' + str(list_mois[imo]-1)
    for ijr in range (0,len(LST_JR[imo])):
        if (LST_JR[imo][ijr] <= 9):
            nom_jour = '0' + str(LST_JR[imo][ijr])
        else:
            nom_jour = str(LST_JR[imo][ijr])
        jour_an.append(annee[1] + nom_mois + nom_jour)

jour_an = np.array(jour_an)


######################################################
# Lecture data//Calcul du biais//stockage data biais #
######################################################
###################### Parametres ###########################################
cd D:/python/assimilation_donnees/assimilation_1D                           
import funct_analyses_safran
N,DN,A,DA,I,DI = funct_analyses_safran.analyses_safran()
num_mass = (['01','02','03','04','05','06','07','08','09','10','11','12',
             '13','14','15','16','17','18','19','31','25','29','30','51'])
lst_niv = arange(0,416,13)
x = arange(1,32,1)
niv_alt = arange(300.,4200.,300)
#############################################################################
LONGITUDE = np.zeros([8,24,16],float)
LATITUDE = np.zeros([8,24,16],float)
for imo in range (0,8):
    longitude = np.zeros([24,16],float)
    latitude = np.zeros([24,16],float)
    for imass in range (0,24):
        print 'massif:',nom_massif[imass]
        ########################
        # stockage fichier txt #
        ########################
        #fichier_stats = open('D:/output_Vfinale/stats/err8_C2_correl7000_tt-fixe/Dec2009-Juill2010/data/sans_AROME/data/biais_journ/biais_massif_'+nom_massif[imass]+'_'+name_month[imo]+'.txt','a')
        ##################################
        # Lecture data guess --> analyse #
        ##################################
        fichier1 = open ('D:/output_Vfinale/analyses/err8_C2_correl7000_tt-fixe/Dec2009-Juill2010/data/sans_AROME/data_analyses_massif_'+nom_massif[imass]+'_'+name_month[imo]+'.txt', 'r')
        lines1 = 0
        for line in fichier1: lines1 += 1
        fichier1.close()
        n1 = lines1
        fichier1 = open ('D:/output_Vfinale/analyses/err8_C2_correl7000_tt-fixe/Dec2009-Juill2010/data/sans_AROME/data_analyses_massif_'+nom_massif[imass]+'_'+name_month[imo]+'.txt', 'r')
        iligne = 0
        date1 = np.zeros([n1],object)
        massif1 = np.zeros([n1],object)
        guess1 = np.zeros([n1],float)
        analyse1 = np.zeros([n1],float)
        while (iligne < n1) :
            line = fichier1.readline()
            liste = line.split()
            date1[iligne] = str(liste[0])
            massif1[iligne] = str(liste[1])
            guess1[iligne] = float(liste[3])
            analyse1[iligne] = float(liste[4])
            iligne = iligne+1     
        fichier1.close()
        #######################
        # Lecture data SAFRAN #
        #######################
        fichier_saf = open ('D:/output_Vfinale/data_safran/analyses_safran_massif_'+num_mass[imass]+'_'+name_month[imo]+'.txt', 'r')
        lines_saf = 0
        for line in fichier_saf: lines_saf += 1
        fichier_saf.close()
        ns = lines_saf
        fichier_saf = open ('D:/output_Vfinale/data_safran/analyses_safran_massif_'+num_mass[imass]+'_'+name_month[imo]+'.txt', 'r')
        iligne = 0
        date_saf = np.zeros([ns],object)
        massif_saf = np.zeros([ns],object)
        expo_saf = np.zeros([ns],object)
        niv_saf = np.zeros([ns],float)
        analyse_saf = np.zeros([ns],float)
        while (iligne < ns) :
            line = fichier_saf.readline()
            liste = line.split()
            date_saf[iligne] = str(liste[0])
            massif_saf[iligne] = str(liste[1])
            expo_saf[iligne] = str(liste[3])
            niv_saf[iligne] = float(liste[4])
            analyse_saf[iligne] = float(liste[5])
            iligne = iligne+1     
        fichier_saf.close()
        #############################
        # Lecture data observations #
        #############################
        fichier_obs = open ('D:/output_Vfinale/data_for_1DVar/Dec2009-Juill2010/data_OBS_in_massif/data_obs_in_massif_'+nom_massif[imass]+'_'+name_month[imo]+'.txt', 'r')
        lines_obs = 0
        for line in fichier_obs: lines_obs += 1
        fichier_obs.close()
        no = lines_obs
        fichier_obs = open ('D:/output_Vfinale/data_for_1DVar/Dec2009-Juill2010/data_OBS_in_massif/data_obs_in_massif_'+nom_massif[imass]+'_'+name_month[imo]+'.txt', 'r')
        iligne = 0
        date_obs = np.zeros([no],object)
        massif_obs = np.zeros([no],object)
        indic_obs = np.zeros([no],object)
        lon_obs = np.zeros([no],float)
        lat_obs = np.zeros([no],float)
        alt_obs = np.zeros([no],float)
        rr_obs = np.zeros([no],float)
        while (iligne < no) :
            line = fichier_obs.readline()
            liste = line.split()
            date_obs[iligne] = str(liste[0])
            massif_obs[iligne] = str(liste[1])
            indic_obs[iligne] = str(liste[2])
            lon_obs[iligne] = float(liste[3])
            lat_obs[iligne] = float(liste[4])
            alt_obs[iligne] = float(liste[5])
            rr_obs[iligne] = float(liste[6])
            iligne = iligne+1     
        fichier_obs.close()
        day31 = 0
        day31 = nonzero(date_obs == jour_an[lst_month[imo]:lst_month[imo+1]][len(LST_JR[imo])-1])
        indic_mass = indic_obs[day31]
        print 'stations',indic_mass
        longitude[imass,0:len(indic_mass)] = lon_obs[day31][:]
        latitude[imass,0:len(indic_mass)] = lat_obs[day31][:]
        print 'lon',longitude[imass]
        print 'lat',latitude[imass]
        ###########################
        # Calcul biais journalier #
        ###########################
        bg1 = np.zeros([len(indic_mass),len(LST_JR[imo])],float)
        ba1 = np.zeros([len(indic_mass),len(LST_JR[imo])],float)
        bas = np.zeros([len(indic_mass),len(LST_JR[imo])],float)
        RRobs = np.zeros([len(indic_mass),len(LST_JR[imo])],float)
        print 'massif:', nom_massif[imass]
        for jj in range (0,len(indic_mass)):
            biais_g1 = np.zeros([len(LST_JR[imo])],float)
            biais_a1 = np.zeros([len(LST_JR[imo])],float)
            biais_as = np.zeros([len(LST_JR[imo])],float)
            Pobs = np.zeros([len(LST_JR[imo])],float)
            for ijr in range (0,len(LST_JR[imo])):
                print 'date:', jour_an[lst_month[imo]:lst_month[imo+1]][ijr]
                #### OBSERVATIONS
                day = 0
                day = nonzero(date_obs == jour_an[lst_month[imo]:lst_month[imo+1]][ijr])
                bb = nonzero(indic_obs[day] == indic_mass[jj])
                if shape(bb)[1] == 0:
                    biais_g1[ijr] = NaN
                    biais_a1[ijr] = NaN
                    biais_as[ijr] = NaN
                    continue
                print 'station:', indic_obs[day][bb]
                Pobs[ijr] = rr_obs[day][bb][0]
                Aobs = alt_obs[day][bb][0]
                #### GUESS 
                if jour_an[lst_month[imo]:lst_month[imo+1]][ijr] == '100218':
                    biais_g1[ijr] = NaN
                    biais_a1[ijr] = NaN
                    Pobs[ijr] = NaN
                    continue
                if jour_an[lst_month[imo]:lst_month[imo+1]][ijr] == '100521':
                    biais_g1[ijr] = NaN
                    biais_a1[ijr] = NaN
                    Pobs[ijr] = NaN
                    continue
                if jour_an[lst_month[imo]:lst_month[imo+1]][ijr] == '100622':
                    biais_g1[ijr] = NaN
                    biais_a1[ijr] = NaN
                    Pobs[ijr] = NaN
                    continue
                if jour_an[lst_month[imo]:lst_month[imo+1]][ijr] == '100716':
                    biais_g1[ijr] = NaN
                    biais_a1[ijr] = NaN
                    Pobs[ijr] = NaN
                    continue
                q = 0
                q = nonzero(date1 == jour_an[lst_month[imo]:lst_month[imo+1]][ijr])
                GUESS1 = guess1[q]
                print 'guess',GUESS1
                #### ANALYSES 
                ANALYSE1 = analyse1[q]
                print 'analyse',ANALYSE1
                #### ANALYSES SAFRAN
                day_saf = 0
                day_saf = nonzero((date_saf == jour_an[lst_month[imo]:lst_month[imo+1]][ijr]) & (expo_saf == 'Plat'))
                SAFRAN = analyse_saf[day_saf]
                alti_saf = niv_saf[day_saf]
                #### BIAIS
                I = 0
                I = nonzero(abs(Aobs-niv_alt) < 300.)
                if (shape(I)[1] < 2):
                    biais_g1[ijr] = NaN
                    biais_a1[ijr] = NaN
                else:
                    d1 = abs(niv_alt[I][0] - Aobs)
                    d2 = abs(niv_alt[I][1] - Aobs)
                    rr_g1 = ((d1 * GUESS1[I][1]) + (d2 * GUESS1[I][0])) / (d1 + d2) #interpolation sur le profil guess de data obs (a l altitude de l obs)
                    rr_a1 = ((d1 * ANALYSE1[I][1]) + (d2 * ANALYSE1[I][0])) / (d1 + d2) #interpolation sur le profil analyse de data obs (a l altitude de l obs)
                    biais_g1[ijr] = Pobs[ijr] - rr_g1 #calcul du biais [obs-guess]
                    biais_a1[ijr] = Pobs[ijr] - rr_a1 #calcul du biais [obs-analyse]
                print 'biais guess',biais_g1[ijr]
                print 'biais analyse',biais_a1[ijr]
                a = np.array(DA[imass])
                J = 0
                J = nonzero(abs(Aobs-a) < 300.)
                if (shape(J)[1] < 2):
                    biais_as[ijr] = NaN
                else:
                    da = abs(a[J][0] - Aobs)
                    db = abs(a[J][1] - Aobs)
                    rr_aS = ((da * SAFRAN[J][1]) + (db * SAFRAN[J][0])) / (da + db)
                    biais_as[ijr] = Pobs[ijr] - rr_aS
                    print 'biais SAFRAN',biais_as[ijr]
            bg1[jj,0:len(LST_JR[imo])] = biais_g1[0:len(LST_JR[imo])]
            ba1[jj,0:len(LST_JR[imo])] = biais_a1[0:len(LST_JR[imo])]
            bas[jj,0:len(LST_JR[imo])] = biais_as[0:len(LST_JR[imo])]
            RRobs[jj,0:len(LST_JR[imo])] = Pobs[0:len(LST_JR[imo])]
            nan_out = 0
            nan_out = nonzero((isnan(bg1[jj]) == False) &
                              (isnan(ba1[jj]) == False) &
                              (isnan(bas[jj]) == False))
            ##############
            # Plot biais #
            ##############
            #figure()
            #subplot(211)
            #plot(x[nan_out],bg1[jj][nan_out],'b-^',label='biais guess TT+AROME')
            #plot(x[nan_out],bg4[jj][nan_out],'r-^',label='biais guess 4')
            #xticks(x[nan_out],x[nan_out])
            #grid()
            #ylabel('biais (mm)')
            #title(indic_mass[jj])
            #legend(loc='best')
            #subplot(212)
            #plot(x[nan_out],ba1[jj][nan_out],'c-x',label='biais analyse')
            #plot(x[nan_out],ba4[jj][nan_out],'m-o',label='biais analyse non ajustee')
            #plot(x[nan_out],bas[jj][nan_out],'g-+',label='biais analyse SAFRAN')
            #legend(loc='best')
            #xticks(x[nan_out],x[nan_out])
            #grid()
            #title(indic_mass[jj])
            #ylabel('biais (mm)')
            #savefig('D:/data_out/figures/assimilation/stats_guess14_ana14/biais_journaliers/biais_massif_'+nom_massif[imass]+'_sta_'+indic_mass[jj]+'_1209.png')
            ########################################
            # Stockage data biais dans fichier txt #
            ########################################
            #for ijr in range (0,len(LST_JR[imo])):
                #day = 0
                #day = nonzero(date_obs == jour_an[lst_month[imo]:lst_month[imo+1]][ijr])
                #bb = nonzero(indic_obs[day] == indic_mass[jj])
                #fichier_stats.write(('%(date)6s   %(massif)10s   %(nom_sta)7s   %(alt_sta)5.1f   %(rr_sta)5.3f   %(biais_guess1)4.2f    %(biais_analyse1)4.2f   %(biais_analyseS)4.2f   \n' % {
                                    #'date':jour_an[lst_month[imo]:lst_month[imo+1]][ijr],
                                    #'massif':nom_massif[imass],
                                    #'nom_sta':indic_mass[jj],
                                    #'alt_sta':alt_obs[day31][jj],
                                    #'rr_sta':RRobs[jj,ijr],
                                    #'biais_guess1':bg1[jj,ijr],
                                    #'biais_analyse1':ba1[jj,ijr],
                                    #'biais_analyseS':bas[jj,ijr]
                                    #}))
        #fichier_stats.close()
    LONGITUDE[imo,0:24,0:16] = longitude[0:24,0:16]
    LATITUDE[imo,0:24,0:16] = latitude[0:24,0:16]


#############################################
# Calcul stats mensuelles par station d obs #
#############################################
nblines = np.zeros([8,24],int)
altitude = np.zeros([8,24,16],float)
nom_station = np.zeros([8,24,16],object)
rrobs = np.zeros([8,24,16],float)
biais_G = np.zeros([8,24,16],float)
biais_A = np.zeros([8,24,16],float)
ect_G = np.zeros([8,24,16],float)
ect_A = np.zeros([8,24,16],float)
rms_G = np.zeros([8,24,16],float)
rms_A = np.zeros([8,24,16],float)
biais_S = np.zeros([8,24,16],float)
ect_S = np.zeros([8,24,16],float)
rms_S = np.zeros([8,24,16],float)
for imo in range (0,8):
    print 'month:', name_month[imo]
    ALT = np.zeros([24,16],float)
    STA = np.zeros([24,16],object)
    RR = np.zeros([24,16],float)
    A = np.zeros([24,16],float) #biais(guess)
    B = np.zeros([24,16],float) #biais(analyse)
    C = np.zeros([24,16],float) #ect(guess)
    D = np.zeros([24,16],float) #ect(analyse)
    E = np.zeros([24,16],float) #rms(guess)
    F = np.zeros([24,16],float) #rms(analyse)
    G = np.zeros([24,16],float) #biais(analyse_SAFRAN)
    H = np.zeros([24,16],float) #ect(analyse_SAFRAN)
    I = np.zeros([24,16],float) #rms(analyse_SAFRAN)
    n = np.zeros([24],int)
    ######################################
    # Lecture biais par jour par station #
    ######################################
    for imass in range (0,24):
        print 'massif:', nom_massif[imass]
        fichier = open ('D:/output_Vfinale/stats/err8_C2_correl7000_tt-fixe/Dec2009-Juill2010/data/sans_AROME/biais_journ/biais_massif_'+nom_massif[imass]+'_'+name_month[imo]+'.txt', 'r')
        lines = 0
        for line in fichier: lines += 1
        fichier.close()
        n[imass] = lines
        fichier = open ('D:/output_Vfinale/stats/err8_C2_correl7000_tt-fixe/Dec2009-Juill2010/data/sans_AROME/biais_journ/biais_massif_'+nom_massif[imass]+'_'+name_month[imo]+'.txt', 'r')
        iligne = 0
        date = np.zeros([n[imass]],object)
        massif = np.zeros([n[imass]],object)
        sta = np.zeros([n[imass]],object)
        alti_sta = np.zeros([n[imass]],float)
        rr_sta = np.zeros([n[imass]],float)
        b_guess1 = np.zeros([n[imass]],float)
        b_ana1 = np.zeros([n[imass]],float)
        b_anaS = np.zeros([n[imass]],float)
        while (iligne < n[imass]) :
            line = fichier.readline()
            liste = line.split()
            date[iligne] = str(liste[0])
            massif[iligne] = str(liste[1])
            sta[iligne] = str(liste[2])
            alti_sta[iligne] = float(liste[3])
            rr_sta[iligne] = float(liste[4])
            b_guess1[iligne] = float(liste[5])
            b_ana1[iligne] = float(liste[6])
            b_anaS[iligne] = float(liste[7])
            iligne = iligne+1     
        fichier.close()
        N = arange(0,n[imass]+len(LST_JR[imo]),len(LST_JR[imo]))
        station = np.zeros([n[imass]/len(LST_JR[imo])],object)
        alt = np.zeros([n[imass]/len(LST_JR[imo])],float)
        rr = np.zeros([n[imass]/len(LST_JR[imo])],float)
        a = np.zeros([n[imass]/len(LST_JR[imo])],float)
        b = np.zeros([n[imass]/len(LST_JR[imo])],float)
        c = np.zeros([n[imass]/len(LST_JR[imo])],float)
        d = np.zeros([n[imass]/len(LST_JR[imo])],float)
        e = np.zeros([n[imass]/len(LST_JR[imo])],float)
        f = np.zeros([n[imass]/len(LST_JR[imo])],float)
        g = np.zeros([n[imass]/len(LST_JR[imo])],float)
        h = np.zeros([n[imass]/len(LST_JR[imo])],float)
        i = np.zeros([n[imass]/len(LST_JR[imo])],float)
        #########################################
        # Creation stats mensuelles par station #
        #########################################
        for ii in range (0,n[imass]/len(LST_JR[imo])):
            station[ii] = sta[N[ii]:N[ii+1]][0]
            print 'station:', station[ii]
            alt[ii] = alti_sta[N[ii]:N[ii+1]][0]
            print 'son altitude:', alt[ii]
            bg1 = b_guess1[N[ii]:N[ii+1]]
            ba1 = b_ana1[N[ii]:N[ii+1]]
            baS = b_anaS[N[ii]:N[ii+1]]
            rain_out = nonzero(isnan(rr_sta[N[ii]:N[ii+1]]) == False)
            rr[ii] = rr_sta[N[ii]:N[ii+1]][rain_out].mean()
            rr[ii]
            nan_out = 0
            nan_out = nonzero((isnan(bg1) == False) & (isnan(ba1) == False) & (isnan(baS) == False))
            biais_guess1 = bg1[nan_out]
            biais_ana1 = ba1[nan_out]
            biais_anaS = baS[nan_out]
            a[ii] = biais_guess1.mean()
            b[ii] = biais_ana1.mean()
            c[ii] = biais_guess1.std()
            d[ii] = biais_ana1.std()
            e[ii] = sqrt(a[ii]*a[ii]+c[ii]*c[ii])
            f[ii] = sqrt(b[ii]*b[ii]+d[ii]*d[ii])
            g[ii] = biais_anaS.mean()
            h[ii] = biais_anaS.std()
            i[ii] = sqrt(g[ii]*g[ii]+h[ii]*h[ii])
            #print 'stats:',a[ii],b[ii],c[ii],d[ii],e[ii],f[ii],g[ii],h[ii],i[ii]
        ALT[imass,0:n[imass]/len(LST_JR[imo])] = alt[0:n[imass]/len(LST_JR[imo])]
        STA[imass,0:n[imass]/len(LST_JR[imo])] = station[0:n[imass]/len(LST_JR[imo])]
        RR[imass,0:n[imass]/len(LST_JR[imo])] = rr[0:n[imass]/len(LST_JR[imo])]
        A[imass,0:n[imass]/len(LST_JR[imo])] = a[0:n[imass]/len(LST_JR[imo])]
        B[imass,0:n[imass]/len(LST_JR[imo])] = b[0:n[imass]/len(LST_JR[imo])]
        C[imass,0:n[imass]/len(LST_JR[imo])] = c[0:n[imass]/len(LST_JR[imo])]
        D[imass,0:n[imass]/len(LST_JR[imo])] = d[0:n[imass]/len(LST_JR[imo])]
        E[imass,0:n[imass]/len(LST_JR[imo])] = e[0:n[imass]/len(LST_JR[imo])]
        F[imass,0:n[imass]/len(LST_JR[imo])] = f[0:n[imass]/len(LST_JR[imo])]
        G[imass,0:n[imass]/len(LST_JR[imo])] = g[0:n[imass]/len(LST_JR[imo])]
        H[imass,0:n[imass]/len(LST_JR[imo])] = h[0:n[imass]/len(LST_JR[imo])]
        I[imass,0:n[imass]/len(LST_JR[imo])] = i[0:n[imass]/len(LST_JR[imo])]
    nblines[imo,0:24] = n[0:24]
    altitude[imo,0:24,0:16] = ALT[0:24,0:16]
    nom_station[imo,0:24,0:16] = STA[0:24,0:16]
    rrobs[imo,0:24,0:16] = RR[0:24,0:16]
    biais_G[imo,0:24,0:16] = A[0:24,0:16]
    biais_A[imo,0:24,0:16] = B[0:24,0:16]
    ect_G[imo,0:24,0:16] = C[0:24,0:16]
    ect_A[imo,0:24,0:16] = D[0:24,0:16]
    rms_G[imo,0:24,0:16] = E[0:24,0:16]
    rms_A[imo,0:24,0:16] = F[0:24,0:16]
    biais_S[imo,0:24,0:16] = G[0:24,0:16]
    ect_S[imo,0:24,0:16] = H[0:24,0:16]
    rms_S[imo,0:24,0:16] = I[0:24,0:16]
            

######################################
# Stats sur toute la periode d etude #
######################################
RMS_A_MOY = np.zeros([24,16],float)
RMS_S_MOY = np.zeros([24,16],float)
ECT_A_MOY = np.zeros([24,16],float)
ECT_S_MOY = np.zeros([24,16],float)
BIAIS_A_MOY = np.zeros([24,16],float)
BIAIS_S_MOY = np.zeros([24,16],float)
ALTI = np.zeros([24,16],float)
POBS = np.zeros([24,16],float)
for imass in range (0,24):
    print 'massif', nom_massif[imass]
    rms_A_moy = np.zeros([16],float)
    rms_S_moy = np.zeros([16],float)
    ect_A_moy = np.zeros([16],float)
    ect_S_moy = np.zeros([16],float)
    biais_A_moy = np.zeros([16],float)
    biais_S_moy = np.zeros([16],float)
    alti = np.zeros([16],float)
    pobs = np.zeros([16],float)
    for ii in range (0,16):
        print 'station', nom_station[0,imass,ii]
        datasta = 0
        datasta = nonzero(nom_station[:,imass,ii] == nom_station[0,imass,ii])
        rms_A_moy[ii] = rms_A[:,imass,ii][datasta].mean()
        rms_S_moy[ii] = rms_S[:,imass,ii][datasta].mean()
        ect_A_moy[ii] = ect_A[:,imass,ii][datasta].mean()
        ect_S_moy[ii] = ect_S[:,imass,ii][datasta].mean()
        biais_A_moy[ii] = biais_A[:,imass,ii][datasta].mean()
        biais_S_moy[ii] = biais_S[:,imass,ii][datasta].mean()
        alti[ii] = altitude[:,imass,ii][datasta][0]
        pobs[ii] = rrobs[:,imass,ii][datasta].mean()
        print pobs[ii]
    RMS_A_MOY[imass,0:len(rms_A_moy)] = rms_A_moy[:]
    RMS_S_MOY[imass,0:len(rms_S_moy)] = rms_S_moy[:]
    ECT_A_MOY[imass,0:len(ect_A_moy)] = ect_A_moy[:]
    ECT_S_MOY[imass,0:len(ect_S_moy)] = ect_S_moy[:]
    BIAIS_A_MOY[imass,0:len(biais_A_moy)] = biais_A_moy[:]
    BIAIS_S_MOY[imass,0:len(biais_S_moy)] = biais_S_moy[:]
    ALTI[imass,0:len(alti)] = alti[:]
    POBS[imass,0:len(alti)] = pobs[:]

    ########
    # Plot #
    ########
figure()
out = nonzero((ALTI[0,:] != 0.))
ect_out = nonzero((ECT_S_MOY[0,:][out] != 0.) & (ECT_A_MOY[0,:][out] != 0.))
#scatter(ALTI[0,:][out],RMS_A_MOY[0,:][out],c='b',alpha = 0.7,label='1D-Var')
#scatter(ALTI[0,:][out],RMS_S_MOY[0,:][out],c='y',alpha = 0.7,label='SAFRAN')
scatter(POBS[0,:][out],ECT_A_MOY[0,:][out][ect_out],c='b',alpha = 0.7,label='1D-Var')
scatter(POBS[0,:][out],ECT_S_MOY[0,:][out][ect_out],c='y',alpha = 0.7,label='SAFRAN')
#scatter(ALTI[0,:][out],BIAIS_A_MOY[0,:][out],c='b',alpha = 0.7,label='1D-Var')
#scatter(ALTI[0,:][out],BIAIS_S_MOY[0,:][out],c='y',alpha = 0.7,label='SAFRAN')
My = np.zeros([24],float)
my = np.zeros([24],float)
#Mx = np.zeros([24],float)
for imass in range (0,24):
    out = nonzero((ALTI[imass,:] != 0.))
    ect_out = nonzero((ECT_S_MOY[imass,:][out] != 0.) & (ECT_A_MOY[imass,:][out] != 0.))
    #My[imass] = max(RMS_S_MOY[imass,:][out])
    if len(ECT_S_MOY[imass,:][out][ect_out]) == 0:
        My[imass] = 0.
        continue
    My[imass] = max(ECT_S_MOY[imass,:][out][ect_out])
    #My[imass] = max(BIAIS_S_MOY[imass,:][out])
    #my[imass] = min(BIAIS_S_MOY[imass,:][out])
    Mx[imass] = max(POBS[imass,:][out])
    #scatter(ALTI[imass,:][out],RMS_A_MOY[imass,:][out],c='b',alpha = 0.7)
    #scatter(ALTI[imass,:][out],RMS_S_MOY[imass,:][out],c='y',alpha = 0.7)
    scatter(POBS[imass,:][out][ect_out],ECT_A_MOY[imass,:][out][ect_out],c='b',alpha = 0.7)
    scatter(POBS[imass,:][out][ect_out],ECT_S_MOY[imass,:][out][ect_out],c='y',alpha = 0.7)
    #scatter(ALTI[imass,:][out],BIAIS_A_MOY[imass,:][out],c='b',alpha = 0.7)
    #scatter(ALTI[imass,:][out],BIAIS_S_MOY[imass,:][out],c='y',alpha = 0.7)

legend(loc='best')
grid()
MMy = max(My)
#mmy = min(my)
MMx = max(Mx)
#xlim(500,2700)
xlim(0,MMx+1)
ylim(-1,MMy+5)
#ylim(mmy-5,MMy+5)
#plot(arange(200.,3500.,1),np.zeros([3300]),'r')
plot(arange(0.,35.,1),np.zeros([35]),'r')
#xlabel('altitude (m)')
xlabel('precipitations observees (mm)')
#ylabel('RMS (mm) [OBS-ANALYSE]')
ylabel('ECT (mm) [OBS-ANALYSE]')
#ylabel('BIAIS (mm) [OBS-ANALYSE]')
title('DEC2009-JUL2010')
#savefig('D:/output_Vfinale/stats/err8_C2_correl7000_tt-fixe/Dec2009-Juill2010/graphes/sans_AROME/rms/rms_precips_'+name_month[0]+'-'+name_month[7]+'.png')
savefig('D:/output_Vfinale/stats/err8_C2_correl7000_tt-fixe/Dec2009-Juill2010/graphes/sans_AROME/ect/ect_precips_'+name_month[0]+'-'+name_month[7]+'.png')
#savefig('D:/output_Vfinale/stats/err8_C2_correl7000_tt-fixe/Dec2009-Juill2010/graphes/sans_AROME/biais/biais_altitude_'+name_month[0]+'-'+name_month[7]+'.png')


#############################################
# Stockage data stats TOUTES stations d obs #
#############################################
for imo in range (0,8):
    data_stats = open ('D:/output_Vfinale/stats/err8_C2_correl7000_tt-fixe/Dec2009-Juill2010/data/sans_AROME/data_mens/stats_mens_'+name_month[imo]+'.txt', 'a')
    for imass in range (0,24):
        for ii in range (0,nblines[imo,imass]/len(LST_JR[imo])):
            data_stats.write(('%(massif)10s   %(nom_sta)7s   %(lon_sta)4.2f   %(lat_sta)4.2f   %(alt_sta)5.1f   %(rr)5.3f   %(biais_guess1)5.3f   %(ect_guess1)5.3f   %(rms_guess1)5.3f    %(biais_analyse1)5.3f   %(ect_analyse1)5.3f   %(rms_analyse1)5.3f   %(biais_analyseS)5.3f   %(ect_analyseS)5.3f   %(rms_analyseS)5.3f   \n' % {
                                            'massif':nom_massif[imass],
                                            'nom_sta':nom_station[imo,imass,ii],
                                            'lon_sta':LONGITUDE[imo,imass,ii],
                                            'lat_sta':LATITUDE[imo,imass,ii],
                                            'alt_sta':altitude[imo,imass,ii],
                                            'rr':rrobs[imo,imass,ii],
                                            'biais_guess1':biais_G[imo,imass,ii],
                                            'ect_guess1':ect_G[imo,imass,ii],
                                            'rms_guess1':rms_G[imo,imass,ii],
                                            'biais_analyse1':biais_A[imo,imass,ii],
                                            'ect_analyse1':ect_A[imo,imass,ii],
                                            'rms_analyse1':rms_A[imo,imass,ii],
                                            'biais_analyseS':biais_S[imo,imass,ii],
                                            'ect_analyseS':ect_S[imo,imass,ii],
                                            'rms_analyseS':rms_S[imo,imass,ii],
                                            }))
    data_stats.close()
