#! /usr/bin/env python
# -*- coding: utf-8 -*-


#################################
# Appel des modules necessaires #
#################################
import numpy as np
import matplotlib as mpl
import matplotlib.pyplot as plt
import string
from numpy import *
from mpl_toolkits.basemap import Basemap


#######################################
# Lecture et cartographie de data obs #
#######################################
# ici je boucle sur les dates
annee='0'+str(9)
mois=12
list_jour=arange(1,32,1)

for ijr in range(0,31):
    if (list_jour[ijr] <= 9):
        nom_jour='0'+ str(list_jour[ijr])
    else:
        nom_jour= str(list_jour[ijr])
    jour_an=str(annee)+str(mois)+nom_jour
    print jour_an
    fichier = open ('D:/data/rrobs_alp_dec2009/R'+jour_an+'06', 'r')
    numlines = 0
    for line in fichier: numlines += 1
    fichier.close()
    nbtotal=numlines
    fichier = open ('D:/data/rrobs_alp_dec2009/R'+jour_an+'06', 'r')
    iligne = 0
    lat=np.zeros([nbtotal],float)
    typeobs=np.zeros([nbtotal],int)
    lon=np.zeros([nbtotal],float)
    indic=np.zeros([nbtotal],object)
    rrobs=np.zeros([nbtotal],float)
    alt=np.zeros([nbtotal],float)
    neige= np.zeros([nbtotal],float)
    while (iligne < nbtotal-1) :
         line=fichier.readline()
         # exemple : line = "0.22 2.3 5.0 6"
         liste = line.split()
         # exemple : listeCoord ['0.22', '2.3', '5.0', '6'] (liste de chaine de caractères)
         lon[iligne] = float(liste[2])/100
         lat[iligne] = float(liste[1])/100
         rrobs[iligne] = float(liste[6])/100
         indic[iligne] = str(liste[4])
         alt[iligne] = float(liste[5])
         iligne=iligne+1
    #m = Basemap(projection='ortho',lon_0=0,lat_0=90,resolution='c')
    # Not working: Spain empty, Italy ok
    m = Basemap(llcrnrlon=4.5,urcrnrlon=8.5,llcrnrlat=43.125,urcrnrlat=46.875,projection='cyl',resolution='i',fix_aspect=True)   
    m.drawcoastlines(linewidth=1)
    m.drawparallels(np.arange(-90.,90.,1.), color='#909090', linewidth=1.0, zorder=None, dashes=[1, 1], labels=[1,0,0,0])
    m.drawlsmask(land_color='white',ocean_color='#C8E7EF', lakes=True)
    m.drawmeridians(np.arange(-180.,180.,1.), labels=[0,0,0,1])
    bb=0
    bb=nonzero((rrobs >= 0) & (rrobs <= 500.))[0]
    x,y = m(lon[bb],lat[bb])
    #plt.plot(x,y,'r.',markersize=10)
    cs=plt.scatter(x,y,c=rrobs[bb],cmap=cm.jet,vmin=0,vmax=50)
    cbar =colorbar(cs, orientation='horizontale')
    plt.legend(loc='best')
    plt.show()
    plt.savefig('D:/data_out/figures/obs/rrobs_carto.png')

