#!/usr/bin/env python
# -*- coding: utf-8 -*-
import string
import matplotlib.pyplot as pyplot #used to build contour and wind barbs plots
from numpy import *
import string
import numpy as np
import netCDF4
#from mpl_toolkits.basemap import shiftgrid, cm
from netCDF4 import Dataset
from pylab import *
from mpl_toolkits.basemap import Basemap
from mpl_toolkits.basemap import shiftgrid, cm

# ici je boucle sur les dates
list_anne=[2010]
list_mois=[07]
list_jour=arange(1,31,1)


for ian in range(0,1):
	for imo in range(0,1):
		for ijr in range(0,1):
                        if (list_mois[imo] <= 9):
                                nom_mois='0'+ str(list_mois[imo])
			else:
                                nom_mois= str(list_mois[imo])
				
			if (list_jour[ijr] <= 9):
                                nom_jour='0'+ str(list_jour[ijr])
			else:
                                nom_jour= str(list_jour[ijr])
			
			jour_an=str(list_anne[ian])+nom_mois+nom_jour
			jour_an='20100930'
			print jour_an
			fichier_netcdf='x:/antilopeJ1/antilope_grib_'+jour_an+'.nc'
			arome=Dataset(fichier_netcdf, 'r', format='NETCDF3_CLASSIC')
			nc_surf1= arome.variables['Quantite totale de precipitations (kg m**-2)']
			nc_surf2= arome.variables['Indice de qualite des precipitations']
			nc_surf3= arome.variables['Pourcentage convectif des precipitations']
			precip = nc_surf1[:]
			lat=arome.variables['latitude'][:]
			lon=arome.variables['longitude'][:]
			m = Basemap(llcrnrlon=-10,urcrnrlon=15,llcrnrlat=40,urcrnrlat=52,projection='lcc',
                                    lat_1=44, lat_2=48, lon_0=0,
                                    resolution='h',fix_aspect=True)
                        m.drawcoastlines(linewidth=1)
                        m.drawparallels(np.arange(-90.,90.,10.), color='#909090', linewidth=1.0, zorder=None, dashes=[1, 1], labels=[1,0,0,0])
                        m.drawlsmask(land_color='#C8E7EF', lakes=False)
                        m.drawmeridians(np.arange(-180.,180.,10.), labels=[0,0,0,1])
			#m = Basemap(llcrnrlon=-7,urcrnrlon=11,llcrnrlat=40,urcrnrlat=52,projection='cyl',resolution='h',fix_aspect=True)
			xii, yii = m(*np.meshgrid(lon,lat))
			ax = plt.gca()
			#clevs=arange(0,0.8,0.005)
			clevs=arange(1,50,1)
			#m.drawcoastlines(linewidth=0.5)
			#m.drawlsmask(ocean_color='#F4EAF1', lakes=True)
		        cs=m.contourf(xii,yii,precip, clevs, cmap=cm.s3pcpn_l_r) # emissivity
			cbar =colorbar(cs)
		        cbar.set_label('Precips 24h')
		        #cbar.set_clim(0.65,1)
		#	m.drawmapboundary(fill_color='aqua')
			#m.drawparallels(np.arange(-90.,90.,10.), labels=[1,0,0,0])
			#m.drawmeridians(np.arange(-180.,180.,30.), labels=[0,0,0,1])
		#	m.drawparallels(np.arange(-90.,90.,45.), color='#909090', linewidth=1.0, zorder=None, dashes=[1, 1])
		        plt.show()
			plt.savefig('antilope_'+jour_an+'.png')
			plt.close()
			arome.close()
			fichier_netcdf='x:/arome/arome_grib_'+jour_an+'.nc'
			arome=Dataset(fichier_netcdf, 'r', format='NETCDF3_CLASSIC')
			nc_surf1= arome.variables['prevision6h humidite relative 2m']
			nc_surf2= arome.variables['prevision6h temperature 2m']
			nc_surf3= arome.variables['prevision6h nebul']
			nc_surf4= arome.variables['prevision30h nebul']
			nc_surf5= arome.variables['prevision6h TCWV']
			nc_surf6= arome.variables['prevision6h flux net solaire D']
			nc_surf7= arome.variables['prevision6h flux net thermique D']
			nc_surf8= arome.variables['analyse pression au sol']
			nc_surf9= arome.variables['prevision6h pression au sol']
			nc_surf10= arome.variables['analyse altitude']
			nc_surf11= arome.variables['prevision6h neige']
			nc_surf12= arome.variables['prevision30h neige']
			nc_surf13= arome.variables['prevision6h eau']
			nc_surf14= arome.variables['prevision30h eau']
			nc_surf15= arome.variables['prevision6h graupel']
			nc_surf16= arome.variables['prevision30h graupel']
			nc_surf17= arome.variables['prevision6h Vvent 10m']
			nc_surf18= arome.variables['prevision6h Uvent 10m']
			eau6h = nc_surf13[:]
			eau30h = nc_surf14[:]
			eau24h = eau30h - eau6h
			neige6h = nc_surf11[:]
			neige30h = nc_surf12[:]
			neige24h = neige30h - neige6h
			graupel6h = nc_surf15[:]
			graupel30h = nc_surf16[:]
			graupel24h = graupel30h - graupel6h
			rain = eau24h + graupel24h + neige24h
			lat=arome.variables['latitude'][:]
			lon=arome.variables['longitude'][:]
			m = Basemap(llcrnrlon=-10,urcrnrlon=15,llcrnrlat=40,urcrnrlat=52,projection='lcc',
                                    lat_1=44, lat_2=48, lon_0=0,
                                    resolution='h',fix_aspect=True)
                        m.drawcoastlines(linewidth=1)
                        m.drawparallels(np.arange(-90.,90.,10.), color='#909090', linewidth=1.0, zorder=None, dashes=[1, 1], labels=[1,0,0,0])
                        m.drawlsmask(land_color='#C8E7EF', lakes=False)
                        m.drawmeridians(np.arange(-180.,180.,10.), labels=[0,0,0,1])
			#m = Basemap(llcrnrlon=-7,urcrnrlon=11,llcrnrlat=40,urcrnrlat=52,projection='cyl',resolution='h',fix_aspect=True)
			xii, yii = m(*np.meshgrid(lon,lat))
			ax = plt.gca()
			#clevs=arange(0,0.8,0.005)
			clevs=arange(1,50,1)
			#m.drawcoastlines(linewidth=0.5)
			#m.drawlsmask(ocean_color='#F4EAF1', lakes=True)
		        cs=m.contourf(xii,yii,rain, clevs, cmap=cm.s3pcpn_l_r) # emissivity
			cbar =colorbar(cs)
		        cbar.set_label('Precips 24h')
		        #cbar.set_clim(0.65,1)
		#	m.drawmapboundary(fill_color='aqua')
			#m.drawparallels(np.arange(-90.,90.,10.), labels=[1,0,0,0])
			#m.drawmeridians(np.arange(-180.,180.,30.), labels=[0,0,0,1])
		#	m.drawparallels(np.arange(-90.,90.,45.), color='#909090', linewidth=1.0, zorder=None, dashes=[1, 1])
		        plt.show()
			plt.savefig('arome_'+jour_an+'.png')
			arome.close()
			
			#close()
			

