#!/usr/bin/env python
# -*- coding: utf-8 -*-
import string
import matplotlib.pyplot as pyplot #used to build contour and wind barbs plots
from numpy import *
import string
import numpy as np
import netCDF4
#from mpl_toolkits.basemap import shiftgrid, cm
from netCDF4 import Dataset
from pylab import *
from mpl_toolkits.basemap import Basemap
from mpl_toolkits.basemap import shiftgrid, cm

# ici je boucle sur les dates
list_anne=[2010]
list_mois=arange(12,13,1)
list_jour=arange(15,16,1)


for ian in range(0,1):
	for imo in range(0,1):
		for ijr in range(0,1):
                        if (list_mois[imo] <= 9):
                                nom_mois='0'+ str(list_mois[imo])
			else:
                                nom_mois= str(list_mois[imo])
				
			if (list_jour[ijr] <= 9):
                                nom_jour='0'+ str(list_jour[ijr])
			else:
                                nom_jour= str(list_jour[ijr])
			
			jour_an=str(list_anne[ian])+nom_mois+nom_jour
			print jour_an
			fichier_netcdf='X:\arome\arome_grib_'+jour_an+'.nc'
			arome=Dataset(fichier_netcdf, 'r', format='NETCDF3_CLASSIC')
			nc_ground1= arome.variables['Humidite relative 2m']
                        nc_ground2= arome.variables['Temperature 2m']
                        nc_surf1= arome.variables['TCWV']
                        nc_surf2= arome.variables['Pression au sol']
                        nc_surf3= arome.variables['Altitude']
                        nc_surf4= arome.variables['prevision6h neige']
                        nc_surf5= arome.variables['prevision30h neige']
                        nc_surf6= arome.variables['prevision6h eau']
                        nc_surf7= arome.variables['prevision30h eau']
                        nc_surf8= arome.variables['prevision6h graupel']
                        nc_surf9= arome.variables['prevision30h graupel']
                        nc_ground3= arome.variables['Vvent 10m']
                        nc_ground4= arome.variables['Uvent 10m']
                        nc_profil1= arome.variables['Uvent']
                        nc_profil2= arome.variables['Vvent']
                        nc_profil3= arome.variables['Humidite relative']
                        nc_profil4= arome.variables['Temperature']
			eau6h = nc_surf6[:]
			eau30h = nc_surf7[:]
			eau24h = eau30h - eau6h
			neige6h = nc_surf4[:]
			neige30h = nc_surf5[:]
			neige24h = neige30h - neige6h
			graupel6h = nc_surf8[:]
			graupel30h = nc_surf9[:]
			graupel24h = graupel30h - graupel6h
			rain = eau24h + graupel24h + neige24h

			lat=arome.variables['latitude'][:]
			lon=arome.variables['longitude'][:]
			m = Basemap(llcrnrlon=-7,urcrnrlon=11,llcrnrlat=40,urcrnrlat=52,projection='cyl',resolution='h',fix_aspect=True)

			xii, yii = m(*np.meshgrid(lon,lat))
			ax = plt.gca()
			#clevs=arange(0,0.8,0.005)
			clevs=arange(2,30,1)
			m.drawcoastlines(linewidth=0.5)
			m.drawlsmask(ocean_color='#F4EAF1', lakes=False)
		        cs=m.contourf(xii,yii,rain, clevs, cmap=cm.s3pcpn_l_r) # emissivity
			cbar =colorbar(cs)
		        cbar.set_label('Precips 24h')
		        plt.show()
			plt.savefig('RR24_arome_20101215.png')
			#close()
			

