#!/usr/bin/env python
# -*- coding: utf-8 -*-
import string
import numpy as np
import matplotlib.pyplot as plt
from pylab import *
from mpl_toolkits.basemap import Basemap
from mpl_toolkits.basemap import shiftgrid, cm
from netCDF4 import Dataset
import arctic_map # function to regrid coast limits
import cartesian_grid_test # function to convert grid from polar to cartesian





x0 = -3000.
x1 = 2500.
dx=25.
xvec = np.arange(x0, x1+dx, dx)
nx = len(xvec)
y0 = -3000.
y1 = 3000.
dy=25.
yvec = np.arange(y0, y1+dy, dy)
ny = len(yvec)
tbch1_mesh_nov2009 = np.zeros([ny, nx, 30], float)
tbch2_mesh_nov2009 = np.zeros([ny, nx, 30], float)
tsurf_mesh_nov2009 = np.zeros([ny, nx, 30], float)
for ijr in range (0, 30):
    bbjr_nov2009 = nonzero(jjr[bblat_nov2009] == ijr + 1.)
    print 'date: ' + str(ijr + 1) + ' nov 2009'
    lon_zon_nov2009 = lon[bblat_nov2009][bbjr_nov2009]
    lat_zon_nov2009 = lat[bblat_nov2009][bbjr_nov2009]
    tbch1_nov2009 = tb[0,:][bblat_nov2009][bbjr_nov2009]
    tbch2_nov2009 = tb[1,:][bblat_nov2009][bbjr_nov2009]
    #tbch3_nov2009 = tb[2,:][bblat_nov2009][bbjr_nov2009]
    #tbch4_nov2009 = tb[3,:][bblat_nov2009][bbjr_nov2009]
    tsurf_nov2009 = ts[bblat_nov2009][bbjr_nov2009] 
    longitude = lon_zon_nov2009
    latitude = lat_zon_nov2009
    z = tbch1_nov2009 # channel 1
    z0 = min(z)
    z1 = max(z)
    ZGRID, ngrid, z2grid, sigmagrid, xvec, yvec, xgrid_cart, ygrid_cart = cartesian_grid_test.new_cartesian_grid(longitude, latitude, z, z0, z1, dx, dy)
    tbch1_mesh_nov2009[:, :, ijr] = ZGRID
    print 'channel 1'



study_x = np.where((xvec >= -800.) & (xvec <= -350.))[0]
study_y = np.where((yvec >= 950.) & (yvec <= 1300.))[0]
Sx = len(study_x)
Sy = len(study_y)
#tbch1_mean_zone_nov2009 = tbch1_mean_nov2009[study_y[0]: study_y[Sy - 1] + 1, study_x[0]: study_x[Sx - 1] + 1]



tbch1_daily_nov2009 = tbch1_mesh_nov2009[study_y[0], study_x[0], :]






   
