#!/usr/bin/env python
# -*- coding: utf-8 -*-
import string
import numpy as np
import matplotlib.pyplot as plt
from pylab import *
from mpl_toolkits.basemap import Basemap
from mpl_toolkits.basemap import shiftgrid, cm
from netCDF4 import Dataset
import pywt # Python wavelet analysis library
import scipy



# different wavelet functions in pywt
print pywt.families(0)
for i in range (0, 7):
    print pywt.families()[i]


# continuous wavelet transform 
# scipy.signal.cwt(data, wavelet, widths)
# Performs a continuous wavelet transform on data, using the wavelet function. A CWT performs a convolution with data using the wavelet function, which is characterized by a ## width ## parameter and ## length ## parameter.
# see link http://docs.scipy.org/doc/scipy/reference/generated/scipy.signal.cwt.html


# discrete wavelet transform 
# pywt.dwt(data, wavelet[, mode='sym'])
# The dwt() function is used to perform single level, one dimensional Discrete Wavelet Transform
# 

time_series = np.array([ 245.48777778,  246.5175, 242.82, 246.455, 243.15 , 246.78833333, 247.785     ,  247.16428571, 249.90333333, 248.49222222, 249.202, 249.58333333, 249.408, 247.345, 246.082, 246.67555556, 247.93153846, 247.8, 245.90285714, 245.386, 246.6, 247.29666667, 246.93666667, 246.66666667, 246.15 , 247.45])

wavelet = 'Haar'
(cA, cD) = pywt.dwt(time_series, wavelet)


plt.ion()
plt.figure()
plt.plot(time_series)

# define a wavelet function




