#!/usr/bin/env python
# -*- coding: utf-8 -*-
import string
import numpy as np
import matplotlib.pyplot as plt
from pylab import *
from mpl_toolkits.basemap import Basemap
from mpl_toolkits.basemap import shiftgrid, cm
import netCDF4

################ fichiers par mois - CH1 ###################################################

f1 = '/net/dedale/usr/dedale/surf/lelod/ANTARC/AMSUB_CH1_ANTARC_'
f2 = '2010.DAT'
#date = np.array(['JANUARY', 'FEBRUARY', 'MARCH', 'APRIL', 'MAY', 'JUNE', 'JULY'])
date = np.array(['APRIL', 'MAY', 'JUNE', 'JULY'])

numlines = np.zeros(len(date),float)

for i in range (0,len(numlines)):
    f=f1+str(date[i])+f2
    fichier=open(f,'r')
    numlines[i]=0
    for line in fichier: numlines[i]+=1


    fichier.close()


i=0 # JANUARY
f=f1+str(date[i])+f2
fichier=open(f,'r')
amch=np.zeros([20,numlines[i]],float)
for iligne in range (0,numlines[i]):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch[j,iligne] = float(liste[j])


    fichier.close()


amch1_JAN=amch
#### def des variables 
lon1_JAN=amch1_JAN[0,:]
lat1_JAN=amch1_JAN[1,:]
jjr1_JAN=amch1_JAN[4,:]
ts1_JAN=amch1_JAN[10,:]
emis1_JAN=amch1_JAN[16,:]
tb1_JAN=amch1_JAN[15,:]
tup1_JAN=amch1_JAN[18,:]
tdn1_JAN=amch1_JAN[17,:]
trans1_JAN=amch1_JAN[19,:]
orog1_JAN=amch1_JAN[13,:]


i=1 #FEBRUARY
f=f1+str(date[i])+f2
fichier=open(f,'r')
amch=np.zeros([20,numlines[i]],float)
for iligne in range (0,numlines[i]):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch[j,iligne] = float(liste[j])


    fichier.close()


amch1_FEB=amch
#### def des variables CH1 corrigees
lon1_FEB=amch1_FEB[0,:]
lat1_FEB=amch1_FEB[1,:]
jjr1_FEB=amch1_FEB[4,:]
ts1_FEB=amch1_FEB[10,:]
emis1_FEB=amch1_FEB[16,:]
tb1_FEB=amch1_FEB[15,:]
tup1_FEB=amch1_FEB[18,:]
tdn1_FEB=amch1_FEB[17,:]
trans1_FEB=amch1_FEB[19,:]
orog1_FEB=amch1_FEB[13,:]


i=2 #MARCH
f=f1+str(date[i])+f2
fichier=open(f,'r')
amch=np.zeros([20,numlines[i]],float)
for iligne in range (0,numlines[i]):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch[j,iligne] = float(liste[j])


    fichier.close()


amch1_MAR=amch
#### def des variables
lon1_MAR=amch1_MAR[0,:]
lat1_MAR=amch1_MAR[1,:]
jjr1_MAR=amch1_MAR[4,:]
ts1_MAR=amch1_MAR[10,:]
emis1_MAR=amch1_MAR[16,:]
tb1_MAR=amch1_MAR[15,:]
tup1_MAR=amch1_MAR[18,:]
tdn1_MAR=amch1_MAR[17,:]
trans1_MAR=amch1_MAR[19,:]
orog1_MAR=amch1_MAR[13,:]


i=0 #APRIL
f=f1+str(date[i])+f2
fichier=open(f,'r')
amch=np.zeros([20,numlines[i]],float)
for iligne in range (0,numlines[i]):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch[j,iligne] = float(liste[j])


fichier.close()


amch1_APR=amch
#### def des variables
lon1_APR=amch1_APR[0,:]
lat1_APR=amch1_APR[1,:]
jjr1_APR=amch1_APR[4,:]
ts1_APR=amch1_APR[10,:]
emis1_APR=amch1_APR[16,:]
tb1_APR=amch1_APR[15,:]
tup1_APR=amch1_APR[18,:]
tdn1_APR=amch1_APR[17,:]
trans1_APR=amch1_APR[19,:]
orog1_APR=amch1_APR[13,:]


i=1 #MAY
f=f1+str(date[i])+f2
fichier=open(f,'r')
amch=np.zeros([20,numlines[i]],float)
for iligne in range (0,numlines[i]):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch[j,iligne] = float(liste[j])


fichier.close()


amch1_MAY=amch
#### def des variables
lon1_MAY=amch1_MAY[0,:]
lat1_MAY=amch1_MAY[1,:]
jjr1_MAY=amch1_MAY[4,:]
ts1_MAY=amch1_MAY[10,:]
emis1_MAY=amch1_MAY[16,:]
tb1_MAY=amch1_MAY[15,:]
tup1_MAY=amch1_MAY[18,:]
tdn1_MAY=amch1_MAY[17,:]
trans1_MAY=amch1_MAY[19,:]
orog1_MAY=amch1_MAY[13,:]


i=2 #JUNE
f=f1+str(date[i])+f2
fichier=open(f,'r')
amch=np.zeros([20,numlines[i]],float)
for iligne in range (0,numlines[i]):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch[j,iligne] = float(liste[j])


fichier.close()


amch1_JUN=amch
#### def des variables
lon1_JUN=amch1_JUN[0,:]
lat1_JUN=amch1_JUN[1,:]
jjr1_JUN=amch1_JUN[4,:]
ts1_JUN=amch1_JUN[10,:]
emis1_JUN=amch1_JUN[16,:]
tb1_JUN=amch1_JUN[15,:]
tup1_JUN=amch1_JUN[18,:]
tdn1_JUN=amch1_JUN[17,:]
trans1_JUN=amch1_JUN[19,:]
orog1_JUN=amch1_JUN[13,:]


i=0 #JULY
f=f1+str(date[i])+f2
fichier=open(f,'r')
amch=np.zeros([20,numlines[i]],float)
for iligne in range (0,numlines[i]):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch[j,iligne] = float(liste[j])


fichier.close()


amch1_JUL=amch
#### def des variables
lon1_JUL=amch1_JUL[0,:]
lat1_JUL=amch1_JUL[1,:]
jjr1_JUL=amch1_JUL[4,:]
ts1_JUL=amch1_JUL[10,:]
emis1_JUL=amch1_JUL[16,:]
tb1_JUL=amch1_JUL[15,:]
tup1_JUL=amch1_JUL[18,:]
tdn1_JUL=amch1_JUL[17,:]
trans1_JUL=amch1_JUL[19,:]
orog1_JUL=amch1_JUL[13,:]



################ fichiers par mois - CH2  ###################################################

f1='/net/dedale/usr/dedale/surf/lelod/ANTARC/AMSUB_CH2_ANTARC_'
f2='2010.DAT'
#date=np.array(['JANUARY', 'FEBRUARY', 'MARCH'])
date = np.array(['APRIL', 'MAY', 'JUNE', 'JULY'])

numlines = np.zeros([len(date)],float)

for i in range (0,len(numlines)):
    f=f1+str(date[i])+f2
    fichier=open(f,'r')
    numlines[i]=0
    for line in fichier: numlines[i]+=1


    fichier.close()


i=0 #JANUARY
f=f1+str(date[i])+f2
fichier=open(f,'r')
amch=np.zeros([20,numlines[i]],float)
for iligne in range (0,numlines[i]):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch[j,iligne] = float(liste[j])


    fichier.close()


amch2_JAN=amch
#### def des variables 
lon2_JAN=amch2_JAN[0,:]
lat2_JAN=amch2_JAN[1,:]
jjr2_JAN=amch2_JAN[4,:]
ts2_JAN=amch2_JAN[10,:]
emis2_JAN=amch2_JAN[16,:]
tb2_JAN=amch2_JAN[15,:]
tup2_JAN=amch2_JAN[18,:]
tdn2_JAN=amch2_JAN[17,:]
trans2_JAN=amch2_JAN[19,:]
orog2_JAN=amch2_JAN[13,:]


i=1 #FEBRUARY
f=f1+str(date[i])+f2
fichier=open(f,'r')
amch=np.zeros([20,numlines_month[i]],float)
for iligne in range (0,numlines_month[i]):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch[j,iligne] = float(liste[j])


    fichier.close()


amch2_FEB=amch
#### def des variables CH1 corrigees
lon2_FEB=amch2_FEB[0,:]
lat2_FEB=amch2_FEB[1,:]
jjr2_FEB=amch2_FEB[4,:]
ts2_FEB=amch2_FEB[10,:]
emis2_FEB=amch2_FEB[16,:]
tb2_FEB=amch2_FEB[15,:]
tup2_FEB=amch2_FEB[18,:]
tdn2_FEB=amch2_FEB[17,:]
trans2_FEB=amch2_FEB[19,:]
orog2_FEB=amch2_FEB[13,:]


i=2 #MARCH
f=f1+str(date[i])+f2
fichier=open(f,'r')
amch=np.zeros([20,numlines_month[i]],float)
for iligne in range (0,numlines_month[i]):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch[j,iligne] = float(liste[j])


    fichier.close()


amch2_MAR=amch
#### def des variables
lon2_MAR=amch2_MAR[0,:]
lat2_MAR=amch2_MAR[1,:]
jjr2_MAR=amch2_MAR[4,:]
ts2_MAR=amch2_MAR[10,:]
emis2_MAR=amch2_MAR[16,:]
tb2_MAR=amch2_MAR[15,:]
tup2_MAR=amch2_MAR[18,:]
tdn2_MAR=amch2_MAR[17,:]
trans2_MAR=amch2_MAR[19,:]
orog2_MAR=amch2_MAR[13,:]


i=0 #APRIL
f=f1+str(date[i])+f2
fichier=open(f,'r')
amch=np.zeros([20,numlines[i]],float)
for iligne in range (0,numlines[i]):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch[j,iligne] = float(liste[j])


fichier.close()


amch2_APR=amch
#### def des variables
lon2_APR=amch2_APR[0,:]
lat2_APR=amch2_APR[1,:]
jjr2_APR=amch2_APR[4,:]
ts2_APR=amch2_APR[10,:]
emis2_APR=amch2_APR[16,:]
tb2_APR=amch2_APR[15,:]
tup2_APR=amch2_APR[18,:]
tdn2_APR=amch2_APR[17,:]
trans2_APR=amch2_APR[19,:]
orog2_APR=amch2_APR[13,:]


i=1 #MAY
f=f1+str(date[i])+f2
fichier=open(f,'r')
amch=np.zeros([20,numlines[i]],float)
for iligne in range (0,numlines[i]):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch[j,iligne] = float(liste[j])


fichier.close()


amch2_MAY=amch
#### def des variables
lon2_MAY=amch2_MAY[0,:]
lat2_MAY=amch2_MAY[1,:]
jjr2_MAY=amch2_MAY[4,:]
ts2_MAY=amch2_MAY[10,:]
emis2_MAY=amch2_MAY[16,:]
tb2_MAY=amch2_MAY[15,:]
tup2_MAY=amch2_MAY[18,:]
tdn2_MAY=amch2_MAY[17,:]
trans2_MAY=amch2_MAY[19,:]
orog2_MAY=amch2_MAY[13,:]


i=2 #JUNE
f=f1+str(date[i])+f2
fichier=open(f,'r')
amch=np.zeros([20,numlines[i]],float)
for iligne in range (0,numlines[i]):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch[j,iligne] = float(liste[j])


fichier.close()


amch2_JUN=amch
#### def des variables
lon2_JUN=amch2_JUN[0,:]
lat2_JUN=amch2_JUN[1,:]
jjr2_JUN=amch2_JUN[4,:]
ts2_JUN=amch2_JUN[10,:]
emis2_JUN=amch2_JUN[16,:]
tb2_JUN=amch2_JUN[15,:]
tup2_JUN=amch2_JUN[18,:]
tdn2_JUN=amch2_JUN[17,:]
trans2_JUN=amch2_JUN[19,:]
orog2_JUN=amch2_JUN[13,:]


i=0 #JULY
f=f1+str(date[i])+f2
fichier=open(f,'r')
amch=np.zeros([20,numlines[i]],float)
for iligne in range (0,numlines[i]):
    line=fichier.readline()
    liste = line.split()
    for j in range(0,20):
        amch[j,iligne] = float(liste[j])


fichier.close()


amch1_JUL=amch
#### def des variables
lon1_JUL=amch1_JUL[0,:]
lat1_JUL=amch1_JUL[1,:]
jjr1_JUL=amch1_JUL[4,:]
ts1_JUL=amch1_JUL[10,:]
emis1_JUL=amch1_JUL[16,:]
tb1_JUL=amch1_JUL[15,:]
tup1_JUL=amch1_JUL[18,:]
tdn1_JUL=amch1_JUL[17,:]
trans1_JUL=amch1_JUL[19,:]
orog1_JUL=amch1_JUL[13,:]

